Random Number Utilities
Numerics » Random Number Generation » Random Number Generators » Random Number Distributions » Uniform Distributions » Normal Distributions » Bernoulli Distributions » Poisson Distributions
Collaboration diagram for Random Number Utilities:

## Classes

struct | std::bernoulli_distribution::param_type
struct | std::binomial_distribution< _IntType >::param_type
struct | std::cauchy_distribution< _RealType >::param_type
struct | std::chi_squared_distribution< _RealType >::param_type
struct | std::discrete_distribution< _IntType >::param_type
struct | std::exponential_distribution< _RealType >::param_type
struct | std::extreme_value_distribution< _RealType >::param_type
struct | std::fisher_f_distribution< _RealType >::param_type
struct | std::gamma_distribution< _RealType >::param_type
struct | std::geometric_distribution< _IntType >::param_type
struct | std::lognormal_distribution< _RealType >::param_type
struct | std::negative_binomial_distribution< _IntType >::param_type
struct | std::normal_distribution< _RealType >::param_type
struct | std::piecewise_constant_distribution< _RealType >::param_type
struct | std::piecewise_linear_distribution< _RealType >::param_type
struct | std::poisson_distribution< _IntType >::param_type
class | std::seed_seq
struct | std::student_t_distribution< _RealType >::param_type
struct | std::uniform_real_distribution< _RealType >::param_type
struct | std::weibull_distribution< _RealType >::param_type

## Typedefs

typedef uniform_real_distribution< _RealType > | std::uniform_real_distribution< _RealType >::param_type::distribution_type
typedef normal_distribution< _RealType > | std::normal_distribution< _RealType >::param_type::distribution_type
typedef lognormal_distribution< _RealType > | std::lognormal_distribution< _RealType >::param_type::distribution_type
typedef gamma_distribution< _RealType > | std::gamma_distribution< _RealType >::param_type::distribution_type
typedef chi_squared_distribution< _RealType > | std::chi_squared_distribution< _RealType >::param_type::distribution_type
typedef cauchy_distribution< _RealType > | std::cauchy_distribution< _RealType >::param_type::distribution_type
typedef fisher_f_distribution< _RealType > | std::fisher_f_distribution< _RealType >::param_type::distribution_type
typedef student_t_distribution< _RealType > | std::student_t_distribution< _RealType >::param_type::distribution_type
typedef bernoulli_distribution | std::bernoulli_distribution::param_type::distribution_type
typedef binomial_distribution< _IntType > | std::binomial_distribution< _IntType >::param_type::distribution_type
typedef geometric_distribution< _IntType > | std::geometric_distribution< _IntType >::param_type::distribution_type
typedef negative_binomial_distribution< _IntType > | std::negative_binomial_distribution< _IntType >::param_type::distribution_type
typedef poisson_distribution< _IntType > | std::poisson_distribution< _IntType >::param_type::distribution_type
typedef exponential_distribution< _RealType > | std::exponential_distribution< _RealType >::param_type::distribution_type
typedef weibull_distribution< _RealType > | std::weibull_distribution< _RealType >::param_type::distribution_type
typedef extreme_value_distribution< _RealType > | std::extreme_value_distribution< _RealType >::param_type::distribution_type
typedef discrete_distribution< _IntType > | std::discrete_distribution< _IntType >::param_type::distribution_type
typedef piecewise_constant_distribution< _RealType > | std::piecewise_constant_distribution< _RealType >::param_type::distribution_type
typedef piecewise_linear_distribution< _RealType > | std::piecewise_linear_distribution< _RealType >::param_type::distribution_type
typedef _UIntType | std::linear_congruential_engine< _UIntType, __a, __c, __m >::result_type
typedef _UIntType | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::result_type
typedef _UIntType | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::result_type
typedef _RandomNumberEngine::result_type | std::discard_block_engine< _RandomNumberEngine, __p, __r >::result_type
typedef _UIntType | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::result_type
typedef _RandomNumberEngine::result_type | std::shuffle_order_engine< _RandomNumberEngine, __k >::result_type
typedef unsigned int | std::random_device::result_type
typedef _RealType | std::uniform_real_distribution< _RealType >::result_type
typedef _RealType | std::normal_distribution< _RealType >::result_type
typedef _RealType | std::lognormal_distribution< _RealType >::result_type
typedef _RealType | std::gamma_distribution< _RealType >::result_type
typedef _RealType | std::chi_squared_distribution< _RealType >::result_type
typedef _RealType | std::cauchy_distribution< _RealType >::result_type
typedef _RealType | std::fisher_f_distribution< _RealType >::result_type
typedef _RealType | std::student_t_distribution< _RealType >::result_type
typedef bool | std::bernoulli_distribution::result_type
typedef _IntType | std::binomial_distribution< _IntType >::result_type
typedef _IntType | std::geometric_distribution< _IntType >::result_type
typedef _IntType | std::negative_binomial_distribution< _IntType >::result_type
typedef _IntType | std::poisson_distribution< _IntType >::result_type
typedef _RealType | std::exponential_distribution< _RealType >::result_type
typedef _RealType | std::weibull_distribution< _RealType >::result_type
typedef _RealType | std::extreme_value_distribution< _RealType >::result_type
typedef _IntType | std::discrete_distribution< _IntType >::result_type
typedef _RealType | std::piecewise_constant_distribution< _RealType >::result_type
typedef _RealType | std::piecewise_linear_distribution< _RealType >::result_type
typedef uint_least32_t | std::seed_seq::result_type

## Functions

| std::bernoulli_distribution::bernoulli_distribution (const param_type &__p)
| std::bernoulli_distribution::bernoulli_distribution (double __p=0.5)
| std::binomial_distribution< _IntType >::binomial_distribution (_IntType __t=_IntType(1), double __p=0.5)
| std::binomial_distribution< _IntType >::binomial_distribution (const param_type &__p)
| std::cauchy_distribution< _RealType >::cauchy_distribution (_RealType __a=_RealType(0), _RealType __b=_RealType(1))
| std::cauchy_distribution< _RealType >::cauchy_distribution (const param_type &__p)
| std::chi_squared_distribution< _RealType >::chi_squared_distribution (_RealType __n=_RealType(1))
| std::chi_squared_distribution< _RealType >::chi_squared_distribution (const param_type &__p)
| std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard_block_engine ()
| std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard_block_engine (_RandomNumberEngine &&__rng)
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, discard_block_engine>::value && !std::is_same<_Sseq, _RandomNumberEngine>::value> ::type>
| std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard_block_engine (_Sseq &__q)
| std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard_block_engine (const _RandomNumberEngine &__rng)
| std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard_block_engine (result_type __s)
template<typename _InputIterator >
| std::discrete_distribution< _IntType >::discrete_distribution (_InputIterator __wbegin, _InputIterator __wend)
| std::discrete_distribution< _IntType >::discrete_distribution (const param_type &__p)
| std::discrete_distribution< _IntType >::discrete_distribution (initializer_list< double > __wl)
template<typename _Func >
| std::discrete_distribution< _IntType >::discrete_distribution (size_t __nw, double __xmin, double __xmax, _Func __fw)
| std::exponential_distribution< _RealType >::exponential_distribution (const param_type &__p)
| std::exponential_distribution< _RealType >::exponential_distribution (const result_type &__lambda=result_type(1))
| std::extreme_value_distribution< _RealType >::extreme_value_distribution (_RealType __a=_RealType(0), _RealType __b=_RealType(1))
| std::extreme_value_distribution< _RealType >::extreme_value_distribution (const param_type &__p)
| std::fisher_f_distribution< _RealType >::fisher_f_distribution (_RealType __m=_RealType(1), _RealType __n=_RealType(1))
| std::fisher_f_distribution< _RealType >::fisher_f_distribution (const param_type &__p)
| std::gamma_distribution< _RealType >::gamma_distribution (_RealType __alpha_val=_RealType(1), _RealType __beta_val=_RealType(1))
| std::gamma_distribution< _RealType >::gamma_distribution (const param_type &__p)
| std::geometric_distribution< _IntType >::geometric_distribution (const param_type &__p)
| std::geometric_distribution< _IntType >::geometric_distribution (double __p=0.5)
| std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::independent_bits_engine ()
| std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::independent_bits_engine (_RandomNumberEngine &&__rng)
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, independent_bits_engine>::value && !std::is_same<_Sseq, _RandomNumberEngine>::value> ::type>
| std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::independent_bits_engine (_Sseq &__q)
| std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::independent_bits_engine (const _RandomNumberEngine &__rng)
| std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::independent_bits_engine (result_type __s)
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, linear_congruential_engine>::value> ::type>
| std::linear_congruential_engine< _UIntType, __a, __c, __m >::linear_congruential_engine (_Sseq &__q)
| std::linear_congruential_engine< _UIntType, __a, __c, __m >::linear_congruential_engine (result_type __s=default_seed)
| std::lognormal_distribution< _RealType >::lognormal_distribution (_RealType __m=_RealType(0), _RealType __s=_RealType(1))
| std::lognormal_distribution< _RealType >::lognormal_distribution (const param_type &__p)
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, mersenne_twister_engine>::value> ::type>
| std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::mersenne_twister_engine (_Sseq &__q)
| std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::mersenne_twister_engine (result_type __sd=default_seed)
| std::negative_binomial_distribution< _IntType >::negative_binomial_distribution (_IntType __k=1, double __p=0.5)
| std::negative_binomial_distribution< _IntType >::negative_binomial_distribution (const param_type &__p)
| std::normal_distribution< _RealType >::normal_distribution (const param_type &__p)
| std::normal_distribution< _RealType >::normal_distribution (result_type __mean=result_type(0), result_type __stddev=result_type(1))
template<typename _InputIterator >
| std::discrete_distribution< _IntType >::param_type::param_type (_InputIterator __wbegin, _InputIterator __wend)
template<typename _InputIteratorB , typename _InputIteratorW >
| std::piecewise_constant_distribution< _RealType >::param_type::param_type (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
template<typename _InputIteratorB , typename _InputIteratorW >
| std::piecewise_linear_distribution< _RealType >::param_type::param_type (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
| std::negative_binomial_distribution< _IntType >::param_type::param_type (_IntType __k=1, double __p=0.5)
| std::binomial_distribution< _IntType >::param_type::param_type (_IntType __t=_IntType(1), double __p=0.5)
| std::uniform_real_distribution< _RealType >::param_type::param_type (_RealType __a=_RealType(0), _RealType __b=_RealType(1))
| std::cauchy_distribution< _RealType >::param_type::param_type (_RealType __a=_RealType(0), _RealType __b=_RealType(1))
| std::extreme_value_distribution< _RealType >::param_type::param_type (_RealType __a=_RealType(0), _RealType __b=_RealType(1))
| std::weibull_distribution< _RealType >::param_type::param_type (_RealType __a=_RealType(1), _RealType __b=_RealType(1))
| std::gamma_distribution< _RealType >::param_type::param_type (_RealType __alpha_val=_RealType(1), _RealType __beta_val=_RealType(1))
| std::exponential_distribution< _RealType >::param_type::param_type (_RealType __lambda=_RealType(1))
| std::lognormal_distribution< _RealType >::param_type::param_type (_RealType __m=_RealType(0), _RealType __s=_RealType(1))
| std::fisher_f_distribution< _RealType >::param_type::param_type (_RealType __m=_RealType(1), _RealType __n=_RealType(1))
| std::normal_distribution< _RealType >::param_type::param_type (_RealType __mean=_RealType(0), _RealType __stddev=_RealType(1))
| std::chi_squared_distribution< _RealType >::param_type::param_type (_RealType __n=_RealType(1))
| std::student_t_distribution< _RealType >::param_type::param_type (_RealType __n=_RealType(1))
| std::discrete_distribution< _IntType >::param_type::param_type (const param_type &)=default
| std::piecewise_constant_distribution< _RealType >::param_type::param_type (const param_type &)=default
| std::piecewise_linear_distribution< _RealType >::param_type::param_type (const param_type &)=default
| std::poisson_distribution< _IntType >::param_type::param_type (double __mean=1.0)
| std::bernoulli_distribution::param_type::param_type (double __p=0.5)
| std::geometric_distribution< _IntType >::param_type::param_type (double __p=0.5)
template<typename _Func >
| std::piecewise_constant_distribution< _RealType >::param_type::param_type (initializer_list< _RealType > __bi, _Func __fw)
template<typename _Func >
| std::piecewise_linear_distribution< _RealType >::param_type::param_type (initializer_list< _RealType > __bl, _Func __fw)
| std::discrete_distribution< _IntType >::param_type::param_type (initializer_list< double > __wil)
template<typename _Func >
| std::piecewise_constant_distribution< _RealType >::param_type::param_type (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
template<typename _Func >
| std::piecewise_linear_distribution< _RealType >::param_type::param_type (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
template<typename _Func >
| std::discrete_distribution< _IntType >::param_type::param_type (size_t __nw, double __xmin, double __xmax, _Func __fw)
template<typename _InputIteratorB , typename _InputIteratorW >
| std::piecewise_constant_distribution< _RealType >::piecewise_constant_distribution (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
| std::piecewise_constant_distribution< _RealType >::piecewise_constant_distribution (const param_type &__p)
template<typename _Func >
| std::piecewise_constant_distribution< _RealType >::piecewise_constant_distribution (initializer_list< _RealType > __bl, _Func __fw)
template<typename _Func >
| std::piecewise_constant_distribution< _RealType >::piecewise_constant_distribution (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
template<typename _InputIteratorB , typename _InputIteratorW >
| std::piecewise_linear_distribution< _RealType >::piecewise_linear_distribution (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
| std::piecewise_linear_distribution< _RealType >::piecewise_linear_distribution (const param_type &__p)
template<typename _Func >
| std::piecewise_linear_distribution< _RealType >::piecewise_linear_distribution (initializer_list< _RealType > __bl, _Func __fw)
template<typename _Func >
| std::piecewise_linear_distribution< _RealType >::piecewise_linear_distribution (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
| std::poisson_distribution< _IntType >::poisson_distribution (const param_type &__p)
| std::poisson_distribution< _IntType >::poisson_distribution (double __mean=1.0)
| std::random_device::random_device (const random_device &)=delete
| std::random_device::random_device (const std::string &__token="mt19937")
| std::seed_seq::seed_seq () noexcept
template<typename _InputIterator >
| std::seed_seq::seed_seq (_InputIterator __begin, _InputIterator __end)
| std::seed_seq::seed_seq (const seed_seq &)=delete
template<typename _IntType >
| std::seed_seq::seed_seq (std::initializer_list< _IntType > il)
| std::shuffle_order_engine< _RandomNumberEngine, __k >::shuffle_order_engine ()
| std::shuffle_order_engine< _RandomNumberEngine, __k >::shuffle_order_engine (_RandomNumberEngine &&__rng)
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, shuffle_order_engine>::value && !std::is_same<_Sseq, _RandomNumberEngine>::value> ::type>
| std::shuffle_order_engine< _RandomNumberEngine, __k >::shuffle_order_engine (_Sseq &__q)
| std::shuffle_order_engine< _RandomNumberEngine, __k >::shuffle_order_engine (const _RandomNumberEngine &__rng)
| std::shuffle_order_engine< _RandomNumberEngine, __k >::shuffle_order_engine (result_type __s)
| std::student_t_distribution< _RealType >::student_t_distribution (_RealType __n=_RealType(1))
| std::student_t_distribution< _RealType >::student_t_distribution (const param_type &__p)
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, subtract_with_carry_engine>::value> ::type>
| std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::subtract_with_carry_engine (_Sseq &__q)
| std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::subtract_with_carry_engine (result_type __sd=default_seed)
| std::uniform_real_distribution< _RealType >::uniform_real_distribution (_RealType __a=_RealType(0), _RealType __b=_RealType(1))
| std::uniform_real_distribution< _RealType >::uniform_real_distribution (const param_type &__p)
| std::weibull_distribution< _RealType >::weibull_distribution (_RealType __a=_RealType(1), _RealType __b=_RealType(1))
| std::weibull_distribution< _RealType >::weibull_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::uniform_real_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::normal_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::lognormal_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::gamma_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::chi_squared_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::cauchy_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::fisher_f_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::student_t_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::bernoulli_distribution::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::binomial_distribution< _IntType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::geometric_distribution< _IntType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::negative_binomial_distribution< _IntType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::poisson_distribution< _IntType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::exponential_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::weibull_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::extreme_value_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::discrete_distribution< _IntType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::piecewise_constant_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::piecewise_linear_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::uniform_real_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::normal_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::lognormal_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::gamma_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::chi_squared_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::cauchy_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::fisher_f_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::student_t_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::bernoulli_distribution::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::binomial_distribution< _IntType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::geometric_distribution< _IntType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::negative_binomial_distribution< _IntType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::poisson_distribution< _IntType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::exponential_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::weibull_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::extreme_value_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::discrete_distribution< _IntType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::piecewise_constant_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | std::piecewise_linear_distribution< _RealType >::__generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::chi_squared_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
void | std::fisher_f_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
void | std::student_t_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
void | std::negative_binomial_distribution< _IntType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
void | std::uniform_real_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::normal_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::lognormal_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::gamma_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::chi_squared_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::cauchy_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::fisher_f_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::student_t_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::bernoulli_distribution::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::binomial_distribution< _IntType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::geometric_distribution< _IntType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::negative_binomial_distribution< _IntType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::poisson_distribution< _IntType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::exponential_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::weibull_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::extreme_value_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::discrete_distribution< _IntType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::piecewise_constant_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | std::piecewise_linear_distribution< _RealType >::__generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | std::uniform_real_distribution< _RealType >::param_type::a () const
result_type | std::uniform_real_distribution< _RealType >::a () const
_RealType | std::cauchy_distribution< _RealType >::param_type::a () const
_RealType | std::cauchy_distribution< _RealType >::a () const
_RealType | std::weibull_distribution< _RealType >::param_type::a () const
_RealType | std::weibull_distribution< _RealType >::a () const
_RealType | std::extreme_value_distribution< _RealType >::param_type::a () const
_RealType | std::extreme_value_distribution< _RealType >::a () const
_RealType | std::gamma_distribution< _RealType >::param_type::alpha () const
_RealType | std::gamma_distribution< _RealType >::alpha () const
result_type | std::uniform_real_distribution< _RealType >::param_type::b () const
result_type | std::uniform_real_distribution< _RealType >::b () const
_RealType | std::cauchy_distribution< _RealType >::param_type::b () const
_RealType | std::cauchy_distribution< _RealType >::b () const
_RealType | std::weibull_distribution< _RealType >::param_type::b () const
_RealType | std::weibull_distribution< _RealType >::b () const
_RealType | std::extreme_value_distribution< _RealType >::param_type::b () const
_RealType | std::extreme_value_distribution< _RealType >::b () const
const _RandomNumberEngine & | std::discard_block_engine< _RandomNumberEngine, __p, __r >::base () const noexcept
const _RandomNumberEngine & | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::base () const noexcept
const _RandomNumberEngine & | std::shuffle_order_engine< _RandomNumberEngine, __k >::base () const noexcept
_RealType | std::gamma_distribution< _RealType >::param_type::beta () const
_RealType | std::gamma_distribution< _RealType >::beta () const
std::vector< double > | std::piecewise_constant_distribution< _RealType >::param_type::densities () const
std::vector< double > | std::piecewise_constant_distribution< _RealType >::densities () const
std::vector< double > | std::piecewise_linear_distribution< _RealType >::param_type::densities () const
std::vector< double > | std::piecewise_linear_distribution< _RealType >::densities () const
void | std::linear_congruential_engine< _UIntType, __a, __c, __m >::discard (unsigned long long __z)
void | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::discard (unsigned long long __z)
void | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::discard (unsigned long long __z)
void | std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard (unsigned long long __z)
void | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::discard (unsigned long long __z)
void | std::shuffle_order_engine< _RandomNumberEngine, __k >::discard (unsigned long long __z)
double | std::random_device::entropy () const noexcept
template<typename _RandomAccessIterator >
void | std::seed_seq::generate (_RandomAccessIterator __begin, _RandomAccessIterator __end)
std::vector< _RealType > | std::piecewise_constant_distribution< _RealType >::param_type::intervals () const
std::vector< _RealType > | std::piecewise_constant_distribution< _RealType >::intervals () const
std::vector< _RealType > | std::piecewise_linear_distribution< _RealType >::param_type::intervals () const
std::vector< _RealType > | std::piecewise_linear_distribution< _RealType >::intervals () const
_IntType | std::negative_binomial_distribution< _IntType >::param_type::k () const
_IntType | std::negative_binomial_distribution< _IntType >::k () const
_RealType | std::exponential_distribution< _RealType >::param_type::lambda () const
_RealType | std::exponential_distribution< _RealType >::lambda () const
_RealType | std::lognormal_distribution< _RealType >::param_type::m () const
_RealType | std::lognormal_distribution< _RealType >::m () const
_RealType | std::fisher_f_distribution< _RealType >::param_type::m () const
_RealType | std::fisher_f_distribution< _RealType >::m () const
static constexpr result_type | std::linear_congruential_engine< _UIntType, __a, __c, __m >::max ()
static constexpr result_type | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::max ()
static constexpr result_type | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::max ()
static constexpr result_type | std::discard_block_engine< _RandomNumberEngine, __p, __r >::max ()
static constexpr result_type | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::max ()
static constexpr result_type | std::shuffle_order_engine< _RandomNumberEngine, __k >::max ()
static constexpr result_type | std::random_device::max ()
result_type | std::uniform_real_distribution< _RealType >::max () const
result_type | std::normal_distribution< _RealType >::max () const
result_type | std::lognormal_distribution< _RealType >::max () const
result_type | std::gamma_distribution< _RealType >::max () const
result_type | std::chi_squared_distribution< _RealType >::max () const
result_type | std::cauchy_distribution< _RealType >::max () const
result_type | std::fisher_f_distribution< _RealType >::max () const
result_type | std::student_t_distribution< _RealType >::max () const
result_type | std::bernoulli_distribution::max () const
result_type | std::binomial_distribution< _IntType >::max () const
result_type | std::geometric_distribution< _IntType >::max () const
result_type | std::negative_binomial_distribution< _IntType >::max () const
result_type | std::poisson_distribution< _IntType >::max () const
result_type | std::exponential_distribution< _RealType >::max () const
result_type | std::weibull_distribution< _RealType >::max () const
result_type | std::extreme_value_distribution< _RealType >::max () const
result_type | std::discrete_distribution< _IntType >::max () const
result_type | std::piecewise_constant_distribution< _RealType >::max () const
result_type | std::piecewise_linear_distribution< _RealType >::max () const
_RealType | std::normal_distribution< _RealType >::param_type::mean () const
_RealType | std::normal_distribution< _RealType >::mean () const
double | std::poisson_distribution< _IntType >::param_type::mean () const
double | std::poisson_distribution< _IntType >::mean () const
static constexpr result_type | std::linear_congruential_engine< _UIntType, __a, __c, __m >::min ()
static constexpr result_type | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::min ()
static constexpr result_type | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::min ()
static constexpr result_type | std::discard_block_engine< _RandomNumberEngine, __p, __r >::min ()
static constexpr result_type | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::min ()
static constexpr result_type | std::shuffle_order_engine< _RandomNumberEngine, __k >::min ()
static constexpr result_type | std::random_device::min ()
result_type | std::uniform_real_distribution< _RealType >::min () const
result_type | std::normal_distribution< _RealType >::min () const
result_type | std::lognormal_distribution< _RealType >::min () const
result_type | std::gamma_distribution< _RealType >::min () const
result_type | std::chi_squared_distribution< _RealType >::min () const
result_type | std::cauchy_distribution< _RealType >::min () const
result_type | std::fisher_f_distribution< _RealType >::min () const
result_type | std::student_t_distribution< _RealType >::min () const
result_type | std::bernoulli_distribution::min () const
result_type | std::binomial_distribution< _IntType >::min () const
result_type | std::geometric_distribution< _IntType >::min () const
result_type | std::negative_binomial_distribution< _IntType >::min () const
result_type | std::poisson_distribution< _IntType >::min () const
result_type | std::exponential_distribution< _RealType >::min () const
result_type | std::weibull_distribution< _RealType >::min () const
result_type | std::extreme_value_distribution< _RealType >::min () const
result_type | std::discrete_distribution< _IntType >::min () const
result_type | std::piecewise_constant_distribution< _RealType >::min () const
result_type | std::piecewise_linear_distribution< _RealType >::min () const
_RealType | std::chi_squared_distribution< _RealType >::param_type::n () const
_RealType | std::chi_squared_distribution< _RealType >::n () const
_RealType | std::fisher_f_distribution< _RealType >::param_type::n () const
_RealType | std::fisher_f_distribution< _RealType >::n () const
_RealType | std::student_t_distribution< _RealType >::param_type::n () const
_RealType | std::student_t_distribution< _RealType >::n () const
result_type | std::linear_congruential_engine< _UIntType, __a, __c, __m >::operator() ()
result_type | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::operator() ()
result_type | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::operator() ()
result_type | std::discard_block_engine< _RandomNumberEngine, __p, __r >::operator() ()
result_type | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::operator() ()
result_type | std::shuffle_order_engine< _RandomNumberEngine, __k >::operator() ()
result_type | std::random_device::operator() ()
template<typename _UniformRandomNumberGenerator >
result_type | std::uniform_real_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::normal_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::lognormal_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::gamma_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::chi_squared_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::cauchy_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::fisher_f_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::student_t_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::bernoulli_distribution::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::binomial_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::geometric_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::negative_binomial_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::poisson_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::exponential_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::weibull_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::extreme_value_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::discrete_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::piecewise_constant_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::piecewise_linear_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | std::uniform_real_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::normal_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::lognormal_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::gamma_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::chi_squared_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::cauchy_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::fisher_f_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::student_t_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::bernoulli_distribution::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::binomial_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::geometric_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::negative_binomial_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::poisson_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::exponential_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::weibull_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::extreme_value_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::discrete_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::piecewise_constant_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
result_type | std::piecewise_linear_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type & | std::discrete_distribution< _IntType >::param_type::operator= (const param_type &)=default
param_type & | std::piecewise_constant_distribution< _RealType >::param_type::operator= (const param_type &)=default
param_type & | std::piecewise_linear_distribution< _RealType >::param_type::operator= (const param_type &)=default
void | std::random_device::operator= (const random_device &)=delete
seed_seq & | std::seed_seq::operator= (const seed_seq &)=delete
double | std::bernoulli_distribution::param_type::p () const
double | std::bernoulli_distribution::p () const
double | std::binomial_distribution< _IntType >::param_type::p () const
double | std::binomial_distribution< _IntType >::p () const
double | std::geometric_distribution< _IntType >::param_type::p () const
double | std::geometric_distribution< _IntType >::p () const
double | std::negative_binomial_distribution< _IntType >::param_type::p () const
double | std::negative_binomial_distribution< _IntType >::p () const
param_type | std::uniform_real_distribution< _RealType >::param () const
param_type | std::normal_distribution< _RealType >::param () const
param_type | std::lognormal_distribution< _RealType >::param () const
param_type | std::gamma_distribution< _RealType >::param () const
param_type | std::chi_squared_distribution< _RealType >::param () const
param_type | std::cauchy_distribution< _RealType >::param () const
param_type | std::fisher_f_distribution< _RealType >::param () const
param_type | std::student_t_distribution< _RealType >::param () const
param_type | std::bernoulli_distribution::param () const
param_type | std::binomial_distribution< _IntType >::param () const
param_type | std::geometric_distribution< _IntType >::param () const
param_type | std::negative_binomial_distribution< _IntType >::param () const
param_type | std::poisson_distribution< _IntType >::param () const
param_type | std::exponential_distribution< _RealType >::param () const
param_type | std::weibull_distribution< _RealType >::param () const
param_type | std::extreme_value_distribution< _RealType >::param () const
param_type | std::discrete_distribution< _IntType >::param () const
param_type | std::piecewise_constant_distribution< _RealType >::param () const
param_type | std::piecewise_linear_distribution< _RealType >::param () const
template<typename _OutputIterator >
void | std::seed_seq::param (_OutputIterator __dest) const
void | std::uniform_real_distribution< _RealType >::param (const param_type &__param)
void | std::normal_distribution< _RealType >::param (const param_type &__param)
void | std::lognormal_distribution< _RealType >::param (const param_type &__param)
void | std::gamma_distribution< _RealType >::param (const param_type &__param)
void | std::chi_squared_distribution< _RealType >::param (const param_type &__param)
void | std::cauchy_distribution< _RealType >::param (const param_type &__param)
void | std::fisher_f_distribution< _RealType >::param (const param_type &__param)
void | std::student_t_distribution< _RealType >::param (const param_type &__param)
void | std::bernoulli_distribution::param (const param_type &__param)
void | std::binomial_distribution< _IntType >::param (const param_type &__param)
void | std::geometric_distribution< _IntType >::param (const param_type &__param)
void | std::negative_binomial_distribution< _IntType >::param (const param_type &__param)
void | std::poisson_distribution< _IntType >::param (const param_type &__param)
void | std::exponential_distribution< _RealType >::param (const param_type &__param)
void | std::weibull_distribution< _RealType >::param (const param_type &__param)
void | std::extreme_value_distribution< _RealType >::param (const param_type &__param)
void | std::discrete_distribution< _IntType >::param (const param_type &__param)
void | std::piecewise_constant_distribution< _RealType >::param (const param_type &__param)
void | std::piecewise_linear_distribution< _RealType >::param (const param_type &__param)
std::vector< double > | std::discrete_distribution< _IntType >::param_type::probabilities () const
std::vector< double > | std::discrete_distribution< _IntType >::probabilities () const
void | std::uniform_real_distribution< _RealType >::reset ()
void | std::normal_distribution< _RealType >::reset ()
void | std::lognormal_distribution< _RealType >::reset ()
void | std::gamma_distribution< _RealType >::reset ()
void | std::chi_squared_distribution< _RealType >::reset ()
void | std::cauchy_distribution< _RealType >::reset ()
void | std::fisher_f_distribution< _RealType >::reset ()
void | std::student_t_distribution< _RealType >::reset ()
void | std::bernoulli_distribution::reset ()
void | std::binomial_distribution< _IntType >::reset ()
void | std::geometric_distribution< _IntType >::reset ()
void | std::negative_binomial_distribution< _IntType >::reset ()
void | std::poisson_distribution< _IntType >::reset ()
void | std::exponential_distribution< _RealType >::reset ()
void | std::weibull_distribution< _RealType >::reset ()
void | std::extreme_value_distribution< _RealType >::reset ()
void | std::discrete_distribution< _IntType >::reset ()
void | std::piecewise_constant_distribution< _RealType >::reset ()
void | std::piecewise_linear_distribution< _RealType >::reset ()
_RealType | std::lognormal_distribution< _RealType >::param_type::s () const
_RealType | std::lognormal_distribution< _RealType >::s () const
void | std::discard_block_engine< _RandomNumberEngine, __p, __r >::seed ()
void | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::seed ()
void | std::shuffle_order_engine< _RandomNumberEngine, __k >::seed ()
template<typename _Sseq >
std::enable_if< std::is_class< _Sseq >::value >::type | std::linear_congruential_engine< _UIntType, __a, __c, __m >::seed (_Sseq &__q)
template<typename _Sseq >
std::enable_if< std::is_class< _Sseq >::value >::type | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::seed (_Sseq &__q)
template<typename _Sseq >
std::enable_if< std::is_class< _Sseq >::value >::type | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::seed (_Sseq &__q)
template<typename _Sseq >
void | std::discard_block_engine< _RandomNumberEngine, __p, __r >::seed (_Sseq &__q)
template<typename _Sseq >
void | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::seed (_Sseq &__q)
template<typename _Sseq >
void | std::shuffle_order_engine< _RandomNumberEngine, __k >::seed (_Sseq &__q)
void | std::discard_block_engine< _RandomNumberEngine, __p, __r >::seed (result_type __s)
void | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::seed (result_type __s)
void | std::shuffle_order_engine< _RandomNumberEngine, __k >::seed (result_type __s)
void | std::linear_congruential_engine< _UIntType, __a, __c, __m >::seed (result_type __s=default_seed)
void | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::seed (result_type __sd=default_seed)
void | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::seed (result_type __sd=default_seed)
size_t | std::seed_seq::size () const noexcept
_RealType | std::normal_distribution< _RealType >::param_type::stddev () const
_RealType | std::normal_distribution< _RealType >::stddev () const
_IntType | std::binomial_distribution< _IntType >::param_type::t () const
_IntType | std::binomial_distribution< _IntType >::t () const

## Variables

void * std::random_device::_M_file
mt19937 std::random_device::_M_mt
static constexpr size_t | std::discard_block_engine< _RandomNumberEngine, __p, __r >::block_size
static constexpr result_type | std::linear_congruential_engine< _UIntType, __a, __c, __m >::default_seed
static constexpr result_type | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::default_seed
static constexpr result_type | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::default_seed
static constexpr result_type | std::linear_congruential_engine< _UIntType, __a, __c, __m >::increment
static constexpr result_type | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::initialization_multiplier
static constexpr size_t | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::long_lag
static constexpr size_t | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::mask_bits
static constexpr result_type | std::linear_congruential_engine< _UIntType, __a, __c, __m >::modulus
static constexpr result_type | std::linear_congruential_engine< _UIntType, __a, __c, __m >::multiplier
static constexpr size_t | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::shift_size
static constexpr size_t | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::short_lag
static constexpr size_t | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::state_size
static constexpr size_t | std::shuffle_order_engine< _RandomNumberEngine, __k >::table_size
static constexpr result_type | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::tempering_b
static constexpr result_type | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::tempering_c
static constexpr result_type | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::tempering_d
static constexpr size_t | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::tempering_l
static constexpr size_t | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::tempering_s
static constexpr size_t | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::tempering_t
static constexpr size_t | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::tempering_u
static constexpr size_t | std::discard_block_engine< _RandomNumberEngine, __p, __r >::used_block
static constexpr size_t | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::word_size
static constexpr size_t | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::word_size
static constexpr result_type | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::xor_mask

## Friends

class | std::binomial_distribution< _IntType >::param_type::binomial_distribution< _IntType >
class | std::discrete_distribution< _IntType >::param_type::discrete_distribution< _IntType >
class | std::gamma_distribution< _RealType >::param_type::gamma_distribution< _RealType >
class | std::geometric_distribution< _IntType >::param_type::geometric_distribution< _IntType >
bool | std::uniform_real_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::normal_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::lognormal_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::gamma_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::chi_squared_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::cauchy_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::fisher_f_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::student_t_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::bernoulli_distribution::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::binomial_distribution< _IntType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::geometric_distribution< _IntType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::negative_binomial_distribution< _IntType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::poisson_distribution< _IntType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::exponential_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::weibull_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::extreme_value_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::discrete_distribution< _IntType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::piecewise_constant_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
bool | std::piecewise_linear_distribution< _RealType >::param_type::operator!= (const param_type &__p1, const param_type &__p2)
template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::binomial_distribution< _IntType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::binomial_distribution< _IntType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::chi_squared_distribution< _RealType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::chi_squared_distribution< _RealType1 > &__x)
template<typename _RandomNumberEngine1 , size_t __p1, size_t __r1, typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::discard_block_engine< _RandomNumberEngine, __p, __r >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::discard_block_engine< _RandomNumberEngine1, __p1, __r1 > &__x)
template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::discrete_distribution< _IntType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::discrete_distribution< _IntType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::fisher_f_distribution< _RealType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::fisher_f_distribution< _RealType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::gamma_distribution< _RealType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::gamma_distribution< _RealType1 > &__x)
template<typename _UIntType1 , _UIntType1 __a1, _UIntType1 __c1, _UIntType1 __m1, typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::linear_congruential_engine< _UIntType, __a, __c, __m >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::linear_congruential_engine< _UIntType1, __a1, __c1, __m1 > &__lcr)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::lognormal_distribution< _RealType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::lognormal_distribution< _RealType1 > &__x)
template<typename _UIntType1 , size_t __w1, size_t __n1, size_t __m1, size_t __r1, _UIntType1 __a1, size_t __u1, _UIntType1 __d1, size_t __s1, _UIntType1 __b1, size_t __t1, _UIntType1 __c1, size_t __l1, _UIntType1 __f1, typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::mersenne_twister_engine< _UIntType1, __w1, __n1, __m1, __r1, __a1, __u1, __d1, __s1, __b1, __t1, __c1, __l1, __f1 > &__x)
template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::negative_binomial_distribution< _IntType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::negative_binomial_distribution< _IntType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::normal_distribution< _RealType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::normal_distribution< _RealType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::piecewise_constant_distribution< _RealType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::piecewise_constant_distribution< _RealType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::piecewise_linear_distribution< _RealType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::piecewise_linear_distribution< _RealType1 > &__x)
template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::poisson_distribution< _IntType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::poisson_distribution< _IntType1 > &__x)
template<typename _RandomNumberEngine1 , size_t __k1, typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::shuffle_order_engine< _RandomNumberEngine, __k >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::shuffle_order_engine< _RandomNumberEngine1, __k1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::student_t_distribution< _RealType >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::student_t_distribution< _RealType1 > &__x)
template<typename _UIntType1 , size_t __w1, size_t __s1, size_t __r1, typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::subtract_with_carry_engine< _UIntType1, __w1, __s1, __r1 > &__x)
bool | std::bernoulli_distribution::operator== (const bernoulli_distribution &__d1, const bernoulli_distribution &__d2)
bool | std::binomial_distribution< _IntType >::operator== (const binomial_distribution &__d1, const binomial_distribution &__d2)
bool | std::cauchy_distribution< _RealType >::operator== (const cauchy_distribution &__d1, const cauchy_distribution &__d2)
bool | std::chi_squared_distribution< _RealType >::operator== (const chi_squared_distribution &__d1, const chi_squared_distribution &__d2)
bool | std::discard_block_engine< _RandomNumberEngine, __p, __r >::operator== (const discard_block_engine &__lhs, const discard_block_engine &__rhs)
bool | std::discrete_distribution< _IntType >::operator== (const discrete_distribution &__d1, const discrete_distribution &__d2)
bool | std::exponential_distribution< _RealType >::operator== (const exponential_distribution &__d1, const exponential_distribution &__d2)
bool | std::extreme_value_distribution< _RealType >::operator== (const extreme_value_distribution &__d1, const extreme_value_distribution &__d2)
bool | std::fisher_f_distribution< _RealType >::operator== (const fisher_f_distribution &__d1, const fisher_f_distribution &__d2)
bool | std::gamma_distribution< _RealType >::operator== (const gamma_distribution &__d1, const gamma_distribution &__d2)
bool | std::geometric_distribution< _IntType >::operator== (const geometric_distribution &__d1, const geometric_distribution &__d2)
bool | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::operator== (const independent_bits_engine &__lhs, const independent_bits_engine &__rhs)
bool | std::linear_congruential_engine< _UIntType, __a, __c, __m >::operator== (const linear_congruential_engine &__lhs, const linear_congruential_engine &__rhs)
bool | std::lognormal_distribution< _RealType >::operator== (const lognormal_distribution &__d1, const lognormal_distribution &__d2)
bool | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::operator== (const mersenne_twister_engine &__lhs, const mersenne_twister_engine &__rhs)
bool | std::negative_binomial_distribution< _IntType >::operator== (const negative_binomial_distribution &__d1, const negative_binomial_distribution &__d2)
bool | std::uniform_real_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::normal_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::lognormal_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::gamma_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::chi_squared_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::cauchy_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::fisher_f_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::student_t_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::bernoulli_distribution::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::binomial_distribution< _IntType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::geometric_distribution< _IntType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::negative_binomial_distribution< _IntType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::poisson_distribution< _IntType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::exponential_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::weibull_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::extreme_value_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::discrete_distribution< _IntType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::piecewise_constant_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::piecewise_linear_distribution< _RealType >::param_type::operator== (const param_type &__p1, const param_type &__p2)
bool | std::piecewise_constant_distribution< _RealType >::operator== (const piecewise_constant_distribution &__d1, const piecewise_constant_distribution &__d2)
bool | std::piecewise_linear_distribution< _RealType >::operator== (const piecewise_linear_distribution &__d1, const piecewise_linear_distribution &__d2)
bool | std::poisson_distribution< _IntType >::operator== (const poisson_distribution &__d1, const poisson_distribution &__d2)
bool | std::shuffle_order_engine< _RandomNumberEngine, __k >::operator== (const shuffle_order_engine &__lhs, const shuffle_order_engine &__rhs)
template<typename _RealType1 >
bool | std::normal_distribution< _RealType >::operator== (const std::normal_distribution< _RealType1 > &__d1, const std::normal_distribution< _RealType1 > &__d2)
bool | std::student_t_distribution< _RealType >::operator== (const student_t_distribution &__d1, const student_t_distribution &__d2)
bool | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::operator== (const subtract_with_carry_engine &__lhs, const subtract_with_carry_engine &__rhs)
bool | std::uniform_real_distribution< _RealType >::operator== (const uniform_real_distribution &__d1, const uniform_real_distribution &__d2)
bool | std::weibull_distribution< _RealType >::operator== (const weibull_distribution &__d1, const weibull_distribution &__d2)
template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::binomial_distribution< _IntType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::binomial_distribution< _IntType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::chi_squared_distribution< _RealType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::chi_squared_distribution< _RealType1 > &__x)
template<typename _RandomNumberEngine1 , size_t __p1, size_t __r1, typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::discard_block_engine< _RandomNumberEngine, __p, __r >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::discard_block_engine< _RandomNumberEngine1, __p1, __r1 > &__x)
template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::discrete_distribution< _IntType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::discrete_distribution< _IntType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::fisher_f_distribution< _RealType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::fisher_f_distribution< _RealType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::gamma_distribution< _RealType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::gamma_distribution< _RealType1 > &__x)
template<typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType > &__x)
template<typename _UIntType1 , _UIntType1 __a1, _UIntType1 __c1, _UIntType1 __m1, typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::linear_congruential_engine< _UIntType, __a, __c, __m >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::linear_congruential_engine< _UIntType1, __a1, __c1, __m1 > &__lcr)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::lognormal_distribution< _RealType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::lognormal_distribution< _RealType1 > &__x)
template<typename _UIntType1 , size_t __w1, size_t __n1, size_t __m1, size_t __r1, _UIntType1 __a1, size_t __u1, _UIntType1 __d1, size_t __s1, _UIntType1 __b1, size_t __t1, _UIntType1 __c1, size_t __l1, _UIntType1 __f1, typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::mersenne_twister_engine< _UIntType1, __w1, __n1, __m1, __r1, __a1, __u1, __d1, __s1, __b1, __t1, __c1, __l1, __f1 > &__x)
template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::negative_binomial_distribution< _IntType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::negative_binomial_distribution< _IntType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::normal_distribution< _RealType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::normal_distribution< _RealType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::piecewise_constant_distribution< _RealType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::piecewise_constant_distribution< _RealType1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::piecewise_linear_distribution< _RealType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::piecewise_linear_distribution< _RealType1 > &__x)
template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::poisson_distribution< _IntType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::poisson_distribution< _IntType1 > &__x)
template<typename _RandomNumberEngine1 , size_t __k1, typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::shuffle_order_engine< _RandomNumberEngine, __k >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::shuffle_order_engine< _RandomNumberEngine1, __k1 > &__x)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::student_t_distribution< _RealType >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::student_t_distribution< _RealType1 > &__x)
template<typename _UIntType1 , size_t __w1, size_t __s1, size_t __r1, typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::subtract_with_carry_engine< _UIntType1, __w1, __s1, __r1 > &__x)
class | std::piecewise_constant_distribution< _RealType >::param_type::piecewise_constant_distribution< _RealType >
class | std::piecewise_linear_distribution< _RealType >::param_type::piecewise_linear_distribution< _RealType >
class | std::poisson_distribution< _IntType >::param_type::poisson_distribution< _IntType >

## Detailed Description

## Typedef Documentation

## result_type [1/27]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

typedef _UIntType std::linear_congruential_engine< _UIntType, __a, __c, __m >::result_type

The type of the generated random value.

Definition at line 239 of file random.h.

## result_type [2/27]

template<typename _UIntType , size_t __w, size_t __n, size_t __m, size_t __r, _UIntType __a, size_t __u, _UIntType __d, size_t __s, _UIntType __b, size_t __t, _UIntType __c, size_t __l, _UIntType __f>

typedef _UIntType std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::result_type

The type of the generated random value.

Definition at line 447 of file random.h.

## result_type [3/27]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>

typedef _UIntType std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::result_type

The type of the generated random value.

Definition at line 662 of file random.h.

## result_type [4/27]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

typedef _RandomNumberEngine::result_type std::discard_block_engine< _RandomNumberEngine, __p, __r >::result_type

The type of the generated random value.

Definition at line 849 of file random.h.

## result_type [5/27]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

typedef _UIntType std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::result_type

The type of the generated random value.

Definition at line 1069 of file random.h.

## result_type [6/27]

template<typename _RandomNumberEngine , size_t __k>

typedef _RandomNumberEngine::result_type std::shuffle_order_engine< _RandomNumberEngine, __k >::result_type

The type of the generated random value.

Definition at line 1287 of file random.h.

## result_type [7/27]

typedef unsigned int std::random_device::result_type

The type of the generated random value.

Definition at line 1571 of file random.h.

## result_type [8/27]

template<typename _RealType = double>

typedef _RealType std::uniform_real_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 1705 of file random.h.

## result_type [9/27]

template<typename _RealType = double>

typedef _RealType std::normal_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 1928 of file random.h.

## result_type [10/27]

template<typename _RealType = double>

typedef _RealType std::lognormal_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 2146 of file random.h.

## result_type [11/27]

template<typename _RealType = double>

typedef _RealType std::gamma_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 2355 of file random.h.

## result_type [12/27]

template<typename _RealType = double>

typedef _RealType std::chi_squared_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 2577 of file random.h.

## result_type [13/27]

template<typename _RealType = double>

typedef _RealType std::cauchy_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 2797 of file random.h.

## result_type [14/27]

template<typename _RealType = double>

typedef _RealType std::fisher_f_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 3003 of file random.h.

## result_type [15/27]

template<typename _RealType = double>

typedef _RealType std::student_t_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 3232 of file random.h.

## result_type [16/27]

typedef bool std::bernoulli_distribution::result_type

The type of the range of the distribution.

Definition at line 3456 of file random.h.

## result_type [17/27]

template<typename _IntType = int>

typedef _IntType std::binomial_distribution< _IntType >::result_type

The type of the range of the distribution.

Definition at line 3665 of file random.h.

## result_type [18/27]

template<typename _IntType = int>

typedef _IntType std::geometric_distribution< _IntType >::result_type

The type of the range of the distribution.

Definition at line 3901 of file random.h.

## result_type [19/27]

template<typename _IntType = int>

typedef _IntType std::negative_binomial_distribution< _IntType >::result_type

The type of the range of the distribution.

Definition at line 4106 of file random.h.

## result_type [20/27]

template<typename _IntType = int>

typedef _IntType std::poisson_distribution< _IntType >::result_type

The type of the range of the distribution.

Definition at line 4333 of file random.h.

## result_type [21/27]

template<typename _RealType = double>

typedef _RealType std::exponential_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 4554 of file random.h.

## result_type [22/27]

template<typename _RealType = double>

typedef _RealType std::weibull_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 4761 of file random.h.

## result_type [23/27]

template<typename _RealType = double>

typedef _RealType std::extreme_value_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 4969 of file random.h.

## result_type [24/27]

template<typename _IntType = int>

typedef _IntType std::discrete_distribution< _IntType >::result_type

The type of the range of the distribution.

Definition at line 5174 of file random.h.

## result_type [25/27]

template<typename _RealType = double>

typedef _RealType std::piecewise_constant_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 5409 of file random.h.

## result_type [26/27]

template<typename _RealType = double>

typedef _RealType std::piecewise_linear_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 5681 of file random.h.

## result_type [27/27]

typedef uint_least32_t std::seed_seq::result_type

The type of the seed vales.

Definition at line 5963 of file random.h.

## Function Documentation

## bernoulli_distribution()

std::bernoulli_distribution::bernoulli_distribution | ( | double | __p = `0.5` | ) |

inline explicit

Constructs a Bernoulli distribution with likelihood `p`.

Parameters

  __p | [IN] The likelihood of a true result being returned. Must be in the interval .

Definition at line 3494 of file random.h.

## discard_block_engine() [1/5]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard_block_engine | ( |  | ) |

inline

Constructs a default discard_block_engine engine.

The underlying engine is default constructed as well.

Definition at line 864 of file random.h.

## discard_block_engine() [2/5]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard_block_engine | ( | _RandomNumberEngine && | __rng | ) |

inline explicit

Move constructs a discard_block_engine engine.

Copies an existing base class random number generator.

Parameters

  __rng | An existing (base class) engine object.

Definition at line 884 of file random.h.

## discard_block_engine() [3/5]

template<typename _RandomNumberEngine , size_t __p, size_t __r>
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, discard_block_engine>::value && !std::is_same<_Sseq, _RandomNumberEngine>::value> ::type>

std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard_block_engine | ( | _Sseq & | __q | ) |

inline explicit

Generator construct a discard_block_engine engine.

Parameters

  __q | A seed sequence.

Definition at line 907 of file random.h.

## discard_block_engine() [4/5]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard_block_engine | ( | const _RandomNumberEngine & | __rng | ) |

inline explicit

Copy constructs a discard_block_engine engine.

Copies an existing base class random number generator.

Parameters

  __rng | An existing (base class) engine object.

Definition at line 874 of file random.h.

## discard_block_engine() [5/5]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard_block_engine | ( | result_type | __s | ) |

inline explicit

Seed constructs a discard_block_engine engine.

Constructs the underlying generator engine seeded with `__s`.

Parameters

  __s | A seed value for the base class engine.

Definition at line 894 of file random.h.

## exponential_distribution()

template<typename _RealType = double>

std::exponential_distribution< _RealType >::exponential_distribution | ( | const result_type & | __lambda = `result_type(1)` | ) |

inline explicit

Constructs an exponential distribution with inverse scale parameter .

Definition at line 4594 of file random.h.

## gamma_distribution()

template<typename _RealType = double>

std::gamma_distribution< _RealType >::gamma_distribution | ( | _RealType | __alpha_val = `_RealType(1)`,
|  | _RealType | __beta_val = `_RealType(1)`
| ) |  |

inline explicit

Constructs a gamma distribution with parameters and .

Definition at line 2409 of file random.h.

## independent_bits_engine() [1/5]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::independent_bits_engine | ( |  | ) |

inline

Constructs a default independent_bits_engine engine.

The underlying engine is default constructed as well.

Definition at line 1082 of file random.h.

## independent_bits_engine() [2/5]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::independent_bits_engine | ( | _RandomNumberEngine && | __rng | ) |

inline explicit

Move constructs a independent_bits_engine engine.

Copies an existing base class random number generator.

Parameters

  __rng | An existing (base class) engine object.

Definition at line 1102 of file random.h.

## independent_bits_engine() [3/5]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, independent_bits_engine>::value && !std::is_same<_Sseq, _RandomNumberEngine>::value> ::type>

std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::independent_bits_engine | ( | _Sseq & | __q | ) |

inline explicit

Generator construct a independent_bits_engine engine.

Parameters

  __q | A seed sequence.

Definition at line 1125 of file random.h.

## independent_bits_engine() [4/5]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::independent_bits_engine | ( | const _RandomNumberEngine & | __rng | ) |

inline explicit

Copy constructs a independent_bits_engine engine.

Copies an existing base class random number generator.

Parameters

  __rng | An existing (base class) engine object.

Definition at line 1092 of file random.h.

## independent_bits_engine() [5/5]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::independent_bits_engine | ( | result_type | __s | ) |

inline explicit

Seed constructs a independent_bits_engine engine.

Constructs the underlying generator engine seeded with `__s`.

Parameters

  __s | A seed value for the base class engine.

Definition at line 1112 of file random.h.

## linear_congruential_engine() [1/2]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, linear_congruential_engine>::value> ::type>

std::linear_congruential_engine< _UIntType, __a, __c, __m >::linear_congruential_engine | ( | _Sseq & | __q | ) |

inline explicit

Constructs a linear_congruential_engine random number generator engine seeded from the seed sequence `__q`.

Parameters

  __q | the seed sequence.

Definition at line 276 of file random.h.

References std::linear_congruential_engine< _UIntType, __a, __c, __m >::seed().

## linear_congruential_engine() [2/2]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

std::linear_congruential_engine< _UIntType, __a, __c, __m >::linear_congruential_engine | ( | result_type | __s = `default_seed` | ) |

inline explicit

Constructs a linear_congruential_engine random number generator engine with seed `__s`. The default seed value is 1.

Parameters

  __s | The initial seed value.

Definition at line 263 of file random.h.

References std::linear_congruential_engine< _UIntType, __a, __c, __m >::seed().

## mersenne_twister_engine()

template<typename _UIntType , size_t __w, size_t __n, size_t __m, size_t __r, _UIntType __a, size_t __u, _UIntType __d, size_t __s, _UIntType __b, size_t __t, _UIntType __c, size_t __l, _UIntType __f>
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, mersenne_twister_engine>::value> ::type>

std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::mersenne_twister_engine | ( | _Sseq & | __q | ) |

inline explicit

Constructs a mersenne_twister_engine random number generator engine seeded from the seed sequence `__q`.

Parameters

  __q | the seed sequence.

Definition at line 508 of file random.h.

## normal_distribution()

template<typename _RealType = double>

std::normal_distribution< _RealType >::normal_distribution | ( | result_type | __mean = `result_type(0)`,
|  | result_type | __stddev = `result_type(1)`
| ) |  |

inline explicit

Constructs a normal distribution with parameters and standard deviation.

Definition at line 1975 of file random.h.

## seed_seq()

std::seed_seq::seed_seq | ( |  | ) |

inline noexcept

Default constructor.

Definition at line 5966 of file random.h.

## shuffle_order_engine() [1/5]

template<typename _RandomNumberEngine , size_t __k>

std::shuffle_order_engine< _RandomNumberEngine, __k >::shuffle_order_engine | ( |  | ) |

inline

Constructs a default shuffle_order_engine engine.

The underlying engine is default constructed as well.

Definition at line 1300 of file random.h.

## shuffle_order_engine() [2/5]

template<typename _RandomNumberEngine , size_t __k>

std::shuffle_order_engine< _RandomNumberEngine, __k >::shuffle_order_engine | ( | _RandomNumberEngine && | __rng | ) |

inline explicit

Move constructs a shuffle_order_engine engine.

Copies an existing base class random number generator.

Parameters

  __rng | An existing (base class) engine object.

Definition at line 1322 of file random.h.

## shuffle_order_engine() [3/5]

template<typename _RandomNumberEngine , size_t __k>
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, shuffle_order_engine>::value && !std::is_same<_Sseq, _RandomNumberEngine>::value> ::type>

std::shuffle_order_engine< _RandomNumberEngine, __k >::shuffle_order_engine | ( | _Sseq & | __q | ) |

inline explicit

Generator construct a shuffle_order_engine engine.

Parameters

  __q | A seed sequence.

Definition at line 1347 of file random.h.

## shuffle_order_engine() [4/5]

template<typename _RandomNumberEngine , size_t __k>

std::shuffle_order_engine< _RandomNumberEngine, __k >::shuffle_order_engine | ( | const _RandomNumberEngine & | __rng | ) |

inline explicit

Copy constructs a shuffle_order_engine engine.

Copies an existing base class random number generator.

Parameters

  __rng | An existing (base class) engine object.

Definition at line 1311 of file random.h.

## shuffle_order_engine() [5/5]

template<typename _RandomNumberEngine , size_t __k>

std::shuffle_order_engine< _RandomNumberEngine, __k >::shuffle_order_engine | ( | result_type | __s | ) |

inline explicit

Seed constructs a shuffle_order_engine engine.

Constructs the underlying generator engine seeded with `__s`.

Parameters

  __s | A seed value for the base class engine.

Definition at line 1333 of file random.h.

## subtract_with_carry_engine() [1/2]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, subtract_with_carry_engine>::value> ::type>

std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::subtract_with_carry_engine | ( | _Sseq & | __q | ) |

inline explicit

Constructs a subtract_with_carry_engine random number engine seeded from the seed sequence `__q`.

Parameters

  __q | the seed sequence.

Definition at line 696 of file random.h.

References std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::seed().

## subtract_with_carry_engine() [2/2]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>

std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::subtract_with_carry_engine | ( | result_type | __sd = `default_seed` | ) |

inline explicit

Constructs an explicitly seeded % subtract_with_carry_engine random number generator.

Definition at line 683 of file random.h.

References std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::seed().

## uniform_real_distribution()

template<typename _RealType = double>

std::uniform_real_distribution< _RealType >::uniform_real_distribution | ( | _RealType | __a = `_RealType(0)`,
|  | _RealType | __b = `_RealType(1)`
| ) |  |

inline explicit

Constructs a uniform_real_distribution object.

Parameters

  __a | [IN] The lower bound of the distribution.
  __b | [IN] The upper bound of the distribution.

Definition at line 1753 of file random.h.

## a() [1/2]

template<typename _RealType = double>

_RealType std::weibull_distribution< _RealType >::a | ( |  | ) | const

inline

Return the parameter of the distribution.

Definition at line 4821 of file random.h.

Referenced by std::operator<<().

## a() [2/2]

template<typename _RealType = double>

_RealType std::extreme_value_distribution< _RealType >::a | ( |  | ) | const

inline

Return the parameter of the distribution.

Definition at line 5029 of file random.h.

Referenced by std::operator<<().

## alpha()

template<typename _RealType = double>

_RealType std::gamma_distribution< _RealType >::alpha | ( |  | ) | const

inline

Returns the of the distribution.

Definition at line 2430 of file random.h.

## b() [1/2]

template<typename _RealType = double>

_RealType std::weibull_distribution< _RealType >::b | ( |  | ) | const

inline

Return the parameter of the distribution.

Definition at line 4828 of file random.h.

Referenced by std::operator<<().

## b() [2/2]

template<typename _RealType = double>

_RealType std::extreme_value_distribution< _RealType >::b | ( |  | ) | const

inline

Return the parameter of the distribution.

Definition at line 5036 of file random.h.

Referenced by std::operator<<().

## base() [1/3]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

const _RandomNumberEngine& std::discard_block_engine< _RandomNumberEngine, __p, __r >::base | ( |  | ) | const

inline noexcept

Gets a const reference to the underlying generator engine object.

Definition at line 951 of file random.h.

## base() [2/3]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

const _RandomNumberEngine& std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::base | ( |  | ) | const

inline noexcept

Gets a const reference to the underlying generator engine object.

Definition at line 1160 of file random.h.

## base() [3/3]

template<typename _RandomNumberEngine , size_t __k>

const _RandomNumberEngine& std::shuffle_order_engine< _RandomNumberEngine, __k >::base | ( |  | ) | const

inline noexcept

Gets a const reference to the underlying generator engine object.

Definition at line 1390 of file random.h.

## beta()

template<typename _RealType = double>

_RealType std::gamma_distribution< _RealType >::beta | ( |  | ) | const

inline

Returns the of the distribution.

Definition at line 2437 of file random.h.

## densities() [1/2]

template<typename _RealType = double>

std::vector<double> std::piecewise_constant_distribution< _RealType >::densities | ( |  | ) | const

inline

Returns a vector of the probability densities.

Definition at line 5532 of file random.h.

References std::vector< _Tp, _Alloc >::empty().

## densities() [2/2]

template<typename _RealType = double>

std::vector<double> std::piecewise_linear_distribution< _RealType >::densities | ( |  | ) | const

inline

Return a vector of the probability densities of the distribution.

Definition at line 5806 of file random.h.

References std::vector< _Tp, _Alloc >::empty().

## discard() [1/6]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

void std::linear_congruential_engine< _UIntType, __a, __c, __m >::discard | ( | unsigned long long | __z | ) |

inline

Discard a sequence of random numbers.

Definition at line 320 of file random.h.

## discard() [2/6]

template<typename _UIntType , size_t __w, size_t __n, size_t __m, size_t __r, _UIntType __a, size_t __u, _UIntType __d, size_t __s, _UIntType __b, size_t __t, _UIntType __c, size_t __l, _UIntType __f>

void std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::discard | ( | unsigned long long | __z | ) |

Discard a sequence of random numbers.

Definition at line 435 of file bits/random.tcc.

## discard() [3/6]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>

void std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::discard | ( | unsigned long long | __z | ) |

inline

Discard a sequence of random numbers.

Definition at line 742 of file random.h.

## discard() [4/6]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

void std::discard_block_engine< _RandomNumberEngine, __p, __r >::discard | ( | unsigned long long | __z | ) |

inline

Discard a sequence of random numbers.

Definition at line 972 of file random.h.

## discard() [5/6]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

void std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::discard | ( | unsigned long long | __z | ) |

inline

Discard a sequence of random numbers.

Definition at line 1181 of file random.h.

## discard() [6/6]

template<typename _RandomNumberEngine , size_t __k>

void std::shuffle_order_engine< _RandomNumberEngine, __k >::discard | ( | unsigned long long | __z | ) |

inline

Discard a sequence of random numbers.

Definition at line 1411 of file random.h.

## intervals() [1/2]

template<typename _RealType = double>

std::vector<_RealType> std::piecewise_constant_distribution< _RealType >::intervals | ( |  | ) | const

inline

Returns a vector of the intervals.

Definition at line 5516 of file random.h.

References std::vector< _Tp, _Alloc >::empty().

## intervals() [2/2]

template<typename _RealType = double>

std::vector<_RealType> std::piecewise_linear_distribution< _RealType >::intervals | ( |  | ) | const

inline

Return the intervals of the distribution.

Definition at line 5789 of file random.h.

References std::vector< _Tp, _Alloc >::empty().

## k()

template<typename _IntType = int>

_IntType std::negative_binomial_distribution< _IntType >::k | ( |  | ) | const

inline

Return the parameter of the distribution.

Definition at line 4166 of file random.h.

## lambda()

template<typename _RealType = double>

_RealType std::exponential_distribution< _RealType >::lambda | ( |  | ) | const

inline

Returns the inverse scale parameter of the distribution.

Definition at line 4615 of file random.h.

Referenced by std::operator<<().

## max() [1/25]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

static constexpr result_type std::linear_congruential_engine< _UIntType, __a, __c, __m >::max | ( |  | ) |

inline static constexpr

Gets the largest possible value in the output range.

Definition at line 313 of file random.h.

## max() [2/25]

template<typename _UIntType , size_t __w, size_t __n, size_t __m, size_t __r, _UIntType __a, size_t __u, _UIntType __d, size_t __s, _UIntType __b, size_t __t, _UIntType __c, size_t __l, _UIntType __f>

static constexpr result_type std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::max | ( |  | ) |

inline static constexpr

Gets the largest possible value in the output range.

Definition at line 529 of file random.h.

## max() [3/25]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>

static constexpr result_type std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::max | ( |  | ) |

inline static constexpr

Gets the inclusive maximum value of the range of random integers returned by this generator.

Definition at line 735 of file random.h.

## max() [4/25]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

static constexpr result_type std::discard_block_engine< _RandomNumberEngine, __p, __r >::max | ( |  | ) |

inline static constexpr

Gets the maximum value in the generated random number range.

Definition at line 965 of file random.h.

References std::max().

## max() [5/25]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

static constexpr result_type std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::max | ( |  | ) |

inline static constexpr

Gets the maximum value in the generated random number range.

Definition at line 1174 of file random.h.

## max() [6/25]

template<typename _RandomNumberEngine , size_t __k>

static constexpr result_type std::shuffle_order_engine< _RandomNumberEngine, __k >::max | ( |  | ) |

inline static constexpr

Gets the maximum value in the generated random number range.

Definition at line 1404 of file random.h.

References std::max().

## max() [7/25]

template<typename _RealType = double>

result_type std::uniform_real_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the inclusive upper bound of the distribution range.

Definition at line 1805 of file random.h.

## max() [8/25]

template<typename _RealType = double>

result_type std::normal_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 2032 of file random.h.

## max() [9/25]

template<typename _RealType = double>

result_type std::lognormal_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 2239 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [10/25]

template<typename _RealType = double>

result_type std::gamma_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 2466 of file random.h.

## max() [11/25]

template<typename _RealType = double>

result_type std::chi_squared_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 2664 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [12/25]

template<typename _RealType = double>

result_type std::cauchy_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 2890 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [13/25]

template<typename _RealType = double>

result_type std::fisher_f_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 3099 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [14/25]

template<typename _RealType = double>

result_type std::student_t_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 3317 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [15/25]

result_type std::bernoulli_distribution::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 3544 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [16/25]

template<typename _IntType = int>

result_type std::binomial_distribution< _IntType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 3777 of file random.h.

## max() [17/25]

template<typename _IntType = int>

result_type std::geometric_distribution< _IntType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 3995 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [18/25]

template<typename _IntType = int>

result_type std::negative_binomial_distribution< _IntType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 4202 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [19/25]

template<typename _IntType = int>

result_type std::poisson_distribution< _IntType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 4429 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [20/25]

template<typename _RealType = double>

result_type std::exponential_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 4644 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [21/25]

template<typename _RealType = double>

result_type std::weibull_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 4857 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [22/25]

template<typename _RealType = double>

result_type std::extreme_value_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 5065 of file random.h.

References std::numeric_limits< _Tp >::max().

## max() [23/25]

template<typename _IntType = int>

result_type std::discrete_distribution< _IntType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 5296 of file random.h.

References std::vector< _Tp, _Alloc >::empty(), and std::vector< _Tp, _Alloc >::size().

## max() [24/25]

template<typename _RealType = double>

result_type std::piecewise_constant_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 5567 of file random.h.

References std::vector< _Tp, _Alloc >::back(), and std::vector< _Tp, _Alloc >::empty().

## max() [25/25]

template<typename _RealType = double>

result_type std::piecewise_linear_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 5841 of file random.h.

References std::vector< _Tp, _Alloc >::back(), and std::vector< _Tp, _Alloc >::empty().

## mean() [1/2]

template<typename _RealType = double>

_RealType std::normal_distribution< _RealType >::mean | ( |  | ) | const

inline

Returns the mean of the distribution.

Definition at line 1996 of file random.h.

## mean() [2/2]

template<typename _IntType = int>

double std::poisson_distribution< _IntType >::mean | ( |  | ) | const

inline

Returns the distribution parameter `mean`.

Definition at line 4400 of file random.h.

## min() [1/25]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

static constexpr result_type std::linear_congruential_engine< _UIntType, __a, __c, __m >::min | ( |  | ) |

inline static constexpr

Gets the smallest possible value in the output range.

The minimum depends on the `__c` parameter: if it is zero, the minimum generated must be > 0, otherwise 0 is allowed.

Definition at line 306 of file random.h.

## min() [2/25]

template<typename _UIntType , size_t __w, size_t __n, size_t __m, size_t __r, _UIntType __a, size_t __u, _UIntType __d, size_t __s, _UIntType __b, size_t __t, _UIntType __c, size_t __l, _UIntType __f>

static constexpr result_type std::mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f >::min | ( |  | ) |

inline static constexpr

Gets the smallest possible value in the output range.

Definition at line 522 of file random.h.

## min() [3/25]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>

static constexpr result_type std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::min | ( |  | ) |

inline static constexpr

Gets the inclusive minimum value of the range of random integers returned by this generator.

Definition at line 727 of file random.h.

## min() [4/25]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

static constexpr result_type std::discard_block_engine< _RandomNumberEngine, __p, __r >::min | ( |  | ) |

inline static constexpr

Gets the minimum value in the generated random number range.

Definition at line 958 of file random.h.

References std::min().

## min() [5/25]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

static constexpr result_type std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::min | ( |  | ) |

inline static constexpr

Gets the minimum value in the generated random number range.

Definition at line 1167 of file random.h.

## min() [6/25]

template<typename _RandomNumberEngine , size_t __k>

static constexpr result_type std::shuffle_order_engine< _RandomNumberEngine, __k >::min | ( |  | ) |

inline static constexpr

Gets the minimum value in the generated random number range.

Definition at line 1397 of file random.h.

References std::min().

## min() [7/25]

template<typename _RealType = double>

result_type std::uniform_real_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the inclusive lower bound of the distribution range.

Definition at line 1798 of file random.h.

## min() [8/25]

template<typename _RealType = double>

result_type std::normal_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 2025 of file random.h.

## min() [9/25]

template<typename _RealType = double>

result_type std::lognormal_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 2232 of file random.h.

## min() [10/25]

template<typename _RealType = double>

result_type std::gamma_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 2459 of file random.h.

## min() [11/25]

template<typename _RealType = double>

result_type std::chi_squared_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 2657 of file random.h.

## min() [12/25]

template<typename _RealType = double>

result_type std::cauchy_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 2883 of file random.h.

References std::numeric_limits< _Tp >::lowest().

## min() [13/25]

template<typename _RealType = double>

result_type std::fisher_f_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 3092 of file random.h.

## min() [14/25]

template<typename _RealType = double>

result_type std::student_t_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 3310 of file random.h.

References std::numeric_limits< _Tp >::lowest().

## min() [15/25]

result_type std::bernoulli_distribution::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 3537 of file random.h.

References std::numeric_limits< _Tp >::min().

## min() [16/25]

template<typename _IntType = int>

result_type std::binomial_distribution< _IntType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 3770 of file random.h.

## min() [17/25]

template<typename _IntType = int>

result_type std::geometric_distribution< _IntType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 3988 of file random.h.

## min() [18/25]

template<typename _IntType = int>

result_type std::negative_binomial_distribution< _IntType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 4195 of file random.h.

## min() [19/25]

template<typename _IntType = int>

result_type std::poisson_distribution< _IntType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 4422 of file random.h.

## min() [20/25]

template<typename _RealType = double>

result_type std::exponential_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 4637 of file random.h.

## min() [21/25]

template<typename _RealType = double>

result_type std::weibull_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 4850 of file random.h.

## min() [22/25]

template<typename _RealType = double>

result_type std::extreme_value_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 5058 of file random.h.

References std::numeric_limits< _Tp >::lowest().

## min() [23/25]

template<typename _IntType = int>

result_type std::discrete_distribution< _IntType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 5289 of file random.h.

## min() [24/25]

template<typename _RealType = double>

result_type std::piecewise_constant_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 5557 of file random.h.

References std::vector< _Tp, _Alloc >::empty(), and std::vector< _Tp, _Alloc >::front().

## min() [25/25]

template<typename _RealType = double>

result_type std::piecewise_linear_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 5831 of file random.h.

References std::vector< _Tp, _Alloc >::empty(), and std::vector< _Tp, _Alloc >::front().

## operator()() [1/28]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

result_type std::linear_congruential_engine< _UIntType, __a, __c, __m >::operator() | ( |  | ) |

inline

Gets the next random number in the sequence.

Definition at line 330 of file random.h.

## operator()() [2/28]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>

subtract_with_carry_engine< _UIntType, __w, __s, __r >::result_type std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::operator()

Gets the next random number in the sequence.

Definition at line 598 of file bits/random.tcc.

## operator()() [3/28]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

discard_block_engine< _RandomNumberEngine, __p, __r >::result_type std::discard_block_engine< _RandomNumberEngine, __p, __r >::operator()

Gets the next value in the generated random number sequence.

Definition at line 688 of file bits/random.tcc.

## operator()() [4/28]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::result_type std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::operator()

Gets the next value in the generated random number sequence.

Definition at line 745 of file bits/random.tcc.

References std::__lg(), std::numeric_limits< _Tp >::max(), and std::numeric_limits< _Tp >::min().

## operator()() [5/28]

template<typename _RandomNumberEngine , size_t __k>

shuffle_order_engine< _RandomNumberEngine, __k >::result_type std::shuffle_order_engine< _RandomNumberEngine, __k >::operator()

Gets the next value in the generated random number sequence.

Definition at line 818 of file bits/random.tcc.

## operator()() [6/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::uniform_real_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 1813 of file random.h.

## operator()() [7/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::normal_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 2040 of file random.h.

Referenced by std::normal_distribution< result_type >::operator()().

## operator()() [8/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::lognormal_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 2247 of file random.h.

## operator()() [9/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::gamma_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 2474 of file random.h.

Referenced by std::gamma_distribution< result_type >::operator()().

## operator()() [10/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::chi_squared_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 2672 of file random.h.

## operator()() [11/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::cauchy_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 2898 of file random.h.

## operator()() [12/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::fisher_f_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 3107 of file random.h.

## operator()() [13/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::student_t_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 3325 of file random.h.

References std::sqrt().

## operator()() [14/28]

template<typename _UniformRandomNumberGenerator >

result_type std::bernoulli_distribution::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 3552 of file random.h.

## operator()() [15/28]

template<typename _IntType = int>
template<typename _UniformRandomNumberGenerator >

result_type std::binomial_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 3785 of file random.h.

## operator()() [16/28]

template<typename _IntType = int>
template<typename _UniformRandomNumberGenerator >

result_type std::geometric_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 4003 of file random.h.

## operator()() [17/28]

template<typename _IntType >
template<typename _UniformRandomNumberGenerator >

negative_binomial_distribution< _IntType >::result_type std::negative_binomial_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

Generating functions.

Definition at line 1126 of file bits/random.tcc.

## operator()() [18/28]

template<typename _IntType = int>
template<typename _UniformRandomNumberGenerator >

result_type std::poisson_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 4437 of file random.h.

## operator()() [19/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::exponential_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 4652 of file random.h.

## operator()() [20/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::weibull_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 4865 of file random.h.

## operator()() [21/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::extreme_value_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 5073 of file random.h.

## operator()() [22/28]

template<typename _IntType = int>
template<typename _UniformRandomNumberGenerator >

result_type std::discrete_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 5307 of file random.h.

## operator()() [23/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::piecewise_constant_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 5578 of file random.h.

## operator()() [24/28]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::piecewise_linear_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 5852 of file random.h.

## operator()() [25/28]

template<typename _RealType >
template<typename _UniformRandomNumberGenerator >

normal_distribution< _RealType >::result_type std::normal_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __param
| ) |  |

Polar method due to Marsaglia.

Devroye, L. Non-Uniform Random Variates Generation. Springer-Verlag, New York, 1986, Ch. V, Sect. 4.4.

Definition at line 1783 of file bits/random.tcc.

## operator()() [26/28]

template<typename _RealType >
template<typename _UniformRandomNumberGenerator >

gamma_distribution< _RealType >::result_type std::gamma_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __param
| ) |  |

Marsaglia, G. and Tsang, W. W. "A Simple Method for Generating Gamma Variables" ACM Transactions on Mathematical Software, 26, 3, 363-372, 2000.

Definition at line 2337 of file bits/random.tcc.

## operator()() [27/28]

template<typename _IntType >
template<typename _UniformRandomNumberGenerator >

binomial_distribution< _IntType >::result_type std::binomial_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __param
| ) |  |

A rejection algorithm when t * p >= 8 and a simple waiting time method - the second in the referenced book - otherwise. NB: The former is available only if _GLIBCXX_USE_C99_MATH_TR1 is defined.

Reference: Devroye, L. Non-Uniform Random Variates Generation. Springer-Verlag, New York, 1986, Ch. X, Sect. 4 (+ Errata!).

Definition at line 1534 of file bits/random.tcc.

References std::abs(), std::numeric_limits< _Tp >::epsilon(), std::log(), and std::numeric_limits< _Tp >::max().

## operator()() [28/28]

template<typename _IntType >
template<typename _UniformRandomNumberGenerator >

poisson_distribution< _IntType >::result_type std::poisson_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __param
| ) |  |

A rejection algorithm when mean >= 12 and a simple method based upon the multiplication of uniform random variates otherwise. NB: The former is available only if _GLIBCXX_USE_C99_MATH_TR1 is defined.

Reference: Devroye, L. Non-Uniform Random Variates Generation. Springer-Verlag, New York, 1986, Ch. X, Sects. 3.3 & 3.4 (+ Errata!).

Definition at line 1284 of file bits/random.tcc.

References std::abs(), std::numeric_limits< _Tp >::epsilon(), std::log(), and std::numeric_limits< _Tp >::max().

## p() [1/4]

double std::bernoulli_distribution::p | ( |  | ) | const

inline

Returns the `p` parameter of the distribution.

Definition at line 3515 of file random.h.

Referenced by std::operator<<().

## p() [2/4]

template<typename _IntType = int>

double std::binomial_distribution< _IntType >::p | ( |  | ) | const

inline

Returns the distribution `p` parameter.

Definition at line 3748 of file random.h.

## p() [3/4]

template<typename _IntType = int>

double std::geometric_distribution< _IntType >::p | ( |  | ) | const

inline

Returns the distribution parameter `p`.

Definition at line 3966 of file random.h.

Referenced by std::operator<<().

## p() [4/4]

template<typename _IntType = int>

double std::negative_binomial_distribution< _IntType >::p | ( |  | ) | const

inline

Return the parameter of the distribution.

Definition at line 4173 of file random.h.

## param() [1/38]

template<typename _RealType = double>

param_type std::uniform_real_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 1783 of file random.h.

Referenced by std::operator>>().

## param() [2/38]

template<typename _RealType = double>

param_type std::normal_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 2010 of file random.h.

## param() [3/38]

template<typename _RealType = double>

param_type std::lognormal_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 2217 of file random.h.

## param() [4/38]

template<typename _RealType = double>

param_type std::gamma_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 2444 of file random.h.

Referenced by std::chi_squared_distribution< _RealType >::param().

## param() [5/38]

template<typename _RealType = double>

param_type std::chi_squared_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 2637 of file random.h.

## param() [6/38]

template<typename _RealType = double>

param_type std::cauchy_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 2868 of file random.h.

Referenced by std::operator>>().

## param() [7/38]

template<typename _RealType = double>

param_type std::fisher_f_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 3077 of file random.h.

## param() [8/38]

template<typename _RealType = double>

param_type std::student_t_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 3295 of file random.h.

## param() [9/38]

param_type std::bernoulli_distribution::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 3522 of file random.h.

Referenced by std::operator>>().

## param() [10/38]

template<typename _IntType = int>

param_type std::binomial_distribution< _IntType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 3755 of file random.h.

## param() [11/38]

template<typename _IntType = int>

param_type std::geometric_distribution< _IntType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 3973 of file random.h.

Referenced by std::operator>>().

## param() [12/38]

template<typename _IntType = int>

param_type std::negative_binomial_distribution< _IntType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 4180 of file random.h.

## param() [13/38]

template<typename _IntType = int>

param_type std::poisson_distribution< _IntType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 4407 of file random.h.

## param() [14/38]

template<typename _RealType = double>

param_type std::exponential_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 4622 of file random.h.

Referenced by std::operator>>().

## param() [15/38]

template<typename _RealType = double>

param_type std::weibull_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 4835 of file random.h.

Referenced by std::operator>>().

## param() [16/38]

template<typename _RealType = double>

param_type std::extreme_value_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 5043 of file random.h.

Referenced by std::operator>>().

## param() [17/38]

template<typename _IntType = int>

param_type std::discrete_distribution< _IntType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 5274 of file random.h.

## param() [18/38]

template<typename _RealType = double>

param_type std::piecewise_constant_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 5542 of file random.h.

## param() [19/38]

template<typename _RealType = double>

param_type std::piecewise_linear_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 5816 of file random.h.

## param() [20/38]

template<typename _RealType = double>

void std::uniform_real_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 1791 of file random.h.

## param() [21/38]

template<typename _RealType = double>

void std::normal_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 2018 of file random.h.

## param() [22/38]

template<typename _RealType = double>

void std::lognormal_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 2225 of file random.h.

## param() [23/38]

template<typename _RealType = double>

void std::gamma_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 2452 of file random.h.

## param() [24/38]

template<typename _RealType = double>

void std::chi_squared_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 2645 of file random.h.

References std::gamma_distribution< _RealType >::param().

## param() [25/38]

template<typename _RealType = double>

void std::cauchy_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 2876 of file random.h.

## param() [26/38]

template<typename _RealType = double>

void std::fisher_f_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 3085 of file random.h.

## param() [27/38]

template<typename _RealType = double>

void std::student_t_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 3303 of file random.h.

## param() [28/38]

void std::bernoulli_distribution::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 3530 of file random.h.

## param() [29/38]

template<typename _IntType = int>

void std::binomial_distribution< _IntType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 3763 of file random.h.

## param() [30/38]

template<typename _IntType = int>

void std::geometric_distribution< _IntType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 3981 of file random.h.

## param() [31/38]

template<typename _IntType = int>

void std::negative_binomial_distribution< _IntType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 4188 of file random.h.

## param() [32/38]

template<typename _IntType = int>

void std::poisson_distribution< _IntType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 4415 of file random.h.

## param() [33/38]

template<typename _RealType = double>

void std::exponential_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 4630 of file random.h.

## param() [34/38]

template<typename _RealType = double>

void std::weibull_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 4843 of file random.h.

## param() [35/38]

template<typename _RealType = double>

void std::extreme_value_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 5051 of file random.h.

## param() [36/38]

template<typename _IntType = int>

void std::discrete_distribution< _IntType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 5282 of file random.h.

## param() [37/38]

template<typename _RealType = double>

void std::piecewise_constant_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 5550 of file random.h.

## param() [38/38]

template<typename _RealType = double>

void std::piecewise_linear_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 5824 of file random.h.

## probabilities()

template<typename _IntType = int>

std::vector<double> std::discrete_distribution< _IntType >::probabilities | ( |  | ) | const

inline

Returns the probabilities of the distribution.

Definition at line 5264 of file random.h.

References std::vector< _Tp, _Alloc >::empty().

## reset() [1/19]

template<typename _RealType = double>

void std::uniform_real_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Does nothing for the uniform real distribution.

Definition at line 1769 of file random.h.

## reset() [2/19]

template<typename _RealType = double>

void std::normal_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 1989 of file random.h.

Referenced by std::lognormal_distribution< _RealType >::reset(), std::gamma_distribution< result_type >::reset(), std::student_t_distribution< _RealType >::reset(), std::binomial_distribution< _IntType >::reset(), and std::poisson_distribution< _IntType >::reset().

## reset() [3/19]

template<typename _RealType = double>

void std::lognormal_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 2199 of file random.h.

References std::normal_distribution< _RealType >::reset().

## reset() [4/19]

template<typename _RealType = double>

void std::gamma_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 2423 of file random.h.

Referenced by std::chi_squared_distribution< _RealType >::reset(), std::fisher_f_distribution< _RealType >::reset(), std::student_t_distribution< _RealType >::reset(), and std::negative_binomial_distribution< _IntType >::reset().

## reset() [5/19]

template<typename _RealType = double>

void std::chi_squared_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 2623 of file random.h.

References std::gamma_distribution< _RealType >::reset().

## reset() [6/19]

template<typename _RealType = double>

void std::cauchy_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 2850 of file random.h.

## reset() [7/19]

template<typename _RealType = double>

void std::fisher_f_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 3056 of file random.h.

References std::gamma_distribution< _RealType >::reset().

## reset() [8/19]

template<typename _RealType = double>

void std::student_t_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 3278 of file random.h.

References std::normal_distribution< _RealType >::reset(), and std::gamma_distribution< _RealType >::reset().

## reset() [9/19]

void std::bernoulli_distribution::reset | ( |  | ) |

inline

Resets the distribution state.

Does nothing for a Bernoulli distribution.

Definition at line 3509 of file random.h.

## reset() [10/19]

template<typename _IntType = int>

void std::binomial_distribution< _IntType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 3734 of file random.h.

References std::normal_distribution< _RealType >::reset().

## reset() [11/19]

template<typename _IntType = int>

void std::geometric_distribution< _IntType >::reset | ( |  | ) |

inline

Resets the distribution state.

Does nothing for the geometric distribution.

Definition at line 3960 of file random.h.

## reset() [12/19]

template<typename _IntType = int>

void std::negative_binomial_distribution< _IntType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 4159 of file random.h.

References std::gamma_distribution< _RealType >::reset().

## reset() [13/19]

template<typename _IntType = int>

void std::poisson_distribution< _IntType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 4393 of file random.h.

References std::normal_distribution< _RealType >::reset().

## reset() [14/19]

template<typename _RealType = double>

void std::exponential_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Has no effect on exponential distributions.

Definition at line 4609 of file random.h.

## reset() [15/19]

template<typename _RealType = double>

void std::weibull_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 4814 of file random.h.

## reset() [16/19]

template<typename _RealType = double>

void std::extreme_value_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 5022 of file random.h.

## reset() [17/19]

template<typename _IntType = int>

void std::discrete_distribution< _IntType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 5257 of file random.h.

## reset() [18/19]

template<typename _RealType = double>

void std::piecewise_constant_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 5509 of file random.h.

## reset() [19/19]

template<typename _RealType = double>

void std::piecewise_linear_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 5782 of file random.h.

## seed() [1/13]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

void std::discard_block_engine< _RandomNumberEngine, __p, __r >::seed | ( |  | ) |

inline

Reseeds the discard_block_engine object with the default seed for the underlying base class generator engine.

Definition at line 916 of file random.h.

## seed() [2/13]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

void std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::seed | ( |  | ) |

inline

Reseeds the independent_bits_engine object with the default seed for the underlying base class generator engine.

Definition at line 1134 of file random.h.

## seed() [3/13]

template<typename _RandomNumberEngine , size_t __k>

void std::shuffle_order_engine< _RandomNumberEngine, __k >::seed | ( |  | ) |

inline

Reseeds the shuffle_order_engine object with the default seed for the underlying base class generator engine.

Definition at line 1356 of file random.h.

## seed() [4/13]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>
template<typename _Sseq >

std::enable_if< std::is_class< _Sseq >::value >::type std::linear_congruential_engine< _UIntType, __a, __c, __m >::seed | ( | _Sseq & | __q | ) |

Reseeds the linear_congruential_engine random number generator engine sequence using values from the seed sequence `__q`.

Parameters

  __q | the seed sequence.

Seeds the LCR engine with a value generated by `__q`.

Definition at line 136 of file bits/random.tcc.

References std::__lg().

## seed() [5/13]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>
template<typename _Sseq >

std::enable_if< std::is_class< _Sseq >::value >::type std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::seed | ( | _Sseq & | __q | ) |

Seeds the initial state of the % subtract_with_carry_engine random number generator.

Definition at line 572 of file bits/random.tcc.

## seed() [6/13]

template<typename _RandomNumberEngine , size_t __p, size_t __r>
template<typename _Sseq >

void std::discard_block_engine< _RandomNumberEngine, __p, __r >::seed | ( | _Sseq & | __q | ) |

inline

Reseeds the discard_block_engine object with the given seed sequence.

Parameters

  __q | A seed generator function.

Definition at line 940 of file random.h.

## seed() [7/13]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >
template<typename _Sseq >

void std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::seed | ( | _Sseq & | __q | ) |

inline

Reseeds the independent_bits_engine object with the given seed sequence.

Parameters

  __q | A seed generator function.

Definition at line 1152 of file random.h.

## seed() [8/13]

template<typename _RandomNumberEngine , size_t __k>
template<typename _Sseq >

void std::shuffle_order_engine< _RandomNumberEngine, __k >::seed | ( | _Sseq & | __q | ) |

inline

Reseeds the shuffle_order_engine object with the given seed sequence.

Parameters

  __q | A seed generator function.

Definition at line 1380 of file random.h.

## seed() [9/13]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

void std::discard_block_engine< _RandomNumberEngine, __p, __r >::seed | ( | result_type | __s | ) |

inline

Reseeds the discard_block_engine object with the default seed for the underlying base class generator engine.

Definition at line 927 of file random.h.

## seed() [10/13]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

void std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >::seed | ( | result_type | __s | ) |

inline

Reseeds the independent_bits_engine object with the default seed for the underlying base class generator engine.

Definition at line 1142 of file random.h.

## seed() [11/13]

template<typename _RandomNumberEngine , size_t __k>

void std::shuffle_order_engine< _RandomNumberEngine, __k >::seed | ( | result_type | __s | ) |

inline

Reseeds the shuffle_order_engine object with the default seed for the underlying base class generator engine.

Definition at line 1367 of file random.h.

## seed() [12/13]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

void std::linear_congruential_engine< _UIntType, __a, __c, __m >::seed | ( | result_type | __s = `default_seed` | ) |

Reseeds the linear_congruential_engine random number generator engine sequence to the seed `__s`.

Parameters

  __s | The new seed.

Seeds the LCR with integral value `__s`, adjusted so that the ring identity is never a member of the convergence set.

Definition at line 120 of file bits/random.tcc.

Referenced by std::linear_congruential_engine< _UIntType, __a, __c, __m >::linear_congruential_engine().

## seed() [13/13]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>

void std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::seed | ( | result_type | __sd = `default_seed` | ) |

Seeds the initial state of the random number generator.

N1688[4.19] modifies this as follows. If `__value` == 0, sets value to 19780503. In any case, with a linear congruential generator lcg(i) having parameters , sets to respectively. If set carry to 1, otherwise sets carry to 0.

Definition at line 543 of file bits/random.tcc.

Referenced by std::subtract_with_carry_engine< _UIntType, __w, __s, __r >::subtract_with_carry_engine().

## stddev()

template<typename _RealType = double>

_RealType std::normal_distribution< _RealType >::stddev | ( |  | ) | const

inline

Returns the standard deviation of the distribution.

Definition at line 2003 of file random.h.

## t()

template<typename _IntType = int>

_IntType std::binomial_distribution< _IntType >::t | ( |  | ) | const

inline

Returns the distribution `t` parameter.

Definition at line 3741 of file random.h.

## Variable Documentation

## increment

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

constexpr _UIntType std::linear_congruential_engine< _UIntType, __a, __c, __m >::increment

static constexpr

An increment.

Definition at line 250 of file random.h.

## modulus

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

constexpr _UIntType std::linear_congruential_engine< _UIntType, __a, __c, __m >::modulus

static constexpr

The modulus.

Definition at line 252 of file random.h.

## multiplier

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

constexpr _UIntType std::linear_congruential_engine< _UIntType, __a, __c, __m >::multiplier

static constexpr

The multiplier.

Definition at line 248 of file random.h.

## Friends

## operator<< [1/17]

template<typename _IntType = int>
template<typename _IntType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::binomial_distribution< _IntType1 > & | __x
| ) |  |

friend

Inserts a binomial_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A binomial_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [2/17]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::chi_squared_distribution< _RealType1 > & | __x
| ) |  |

friend

Inserts a chi_squared_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A chi_squared_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [3/17]

template<typename _RandomNumberEngine , size_t __p, size_t __r>
template<typename _RandomNumberEngine1 , size_t __p1, size_t __r1, typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::discard_block_engine< _RandomNumberEngine1, __p1, __r1 > & | __x
| ) |  |

friend

Inserts the current state of a discard_block_engine random number generator engine `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A discard_block_engine random number generator engine.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [4/17]

template<typename _IntType = int>
template<typename _IntType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::discrete_distribution< _IntType1 > & | __x
| ) |  |

friend

Inserts a discrete_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A discrete_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [5/17]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::fisher_f_distribution< _RealType1 > & | __x
| ) |  |

friend

Inserts a fisher_f_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A fisher_f_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [6/17]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::gamma_distribution< _RealType1 > & | __x
| ) |  |

friend

Inserts a gamma_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A gamma_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [7/17]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>
template<typename _UIntType1 , _UIntType1 __a1, _UIntType1 __c1, _UIntType1 __m1, typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::linear_congruential_engine< _UIntType1, __a1, __c1, __m1 > & | __lcr
| ) |  |

friend

Writes the textual representation of the state x(i) of x to `__os`.

Parameters

  __os | The output stream.
  __lcr | A % linear_congruential_engine random number generator.

Returns
  __os.

## operator<< [8/17]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::lognormal_distribution< _RealType1 > & | __x
| ) |  |

friend

Inserts a lognormal_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A lognormal_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [9/17]

template<typename _UIntType , size_t __w, size_t __n, size_t __m, size_t __r, _UIntType __a, size_t __u, _UIntType __d, size_t __s, _UIntType __b, size_t __t, _UIntType __c, size_t __l, _UIntType __f>
template<typename _UIntType1 , size_t __w1, size_t __n1, size_t __m1, size_t __r1, _UIntType1 __a1, size_t __u1, _UIntType1 __d1, size_t __s1, _UIntType1 __b1, size_t __t1, _UIntType1 __c1, size_t __l1, _UIntType1 __f1, typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::mersenne_twister_engine< _UIntType1, __w1, __n1, __m1, __r1, __a1, __u1, __d1, __s1, __b1, __t1, __c1, __l1, __f1 > & | __x
| ) |  |

friend

Inserts the current state of a % mersenne_twister_engine random number generator engine `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A % mersenne_twister_engine random number generator engine.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [10/17]

template<typename _IntType = int>
template<typename _IntType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::negative_binomial_distribution< _IntType1 > & | __x
| ) |  |

friend

Inserts a negative_binomial_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A negative_binomial_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [11/17]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::normal_distribution< _RealType1 > & | __x
| ) |  |

friend

Inserts a normal_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A normal_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [12/17]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::piecewise_constant_distribution< _RealType1 > & | __x
| ) |  |

friend

Inserts a piecewise_constant_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A piecewise_constant_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [13/17]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::piecewise_linear_distribution< _RealType1 > & | __x
| ) |  |

friend

Inserts a piecewise_linear_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A piecewise_linear_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [14/17]

template<typename _IntType = int>
template<typename _IntType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::poisson_distribution< _IntType1 > & | __x
| ) |  |

friend

Inserts a poisson_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A poisson_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [15/17]

template<typename _RandomNumberEngine , size_t __k>
template<typename _RandomNumberEngine1 , size_t __k1, typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::shuffle_order_engine< _RandomNumberEngine1, __k1 > & | __x
| ) |  |

friend

Inserts the current state of a shuffle_order_engine random number generator engine `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A shuffle_order_engine random number generator engine.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [16/17]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::student_t_distribution< _RealType1 > & | __x
| ) |  |

friend

Inserts a student_t_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A student_t_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator<< [17/17]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>
template<typename _UIntType1 , size_t __w1, size_t __s1, size_t __r1, typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::subtract_with_carry_engine< _UIntType1, __w1, __s1, __r1 > & | __x
| ) |  |

friend

Inserts the current state of a % subtract_with_carry_engine random number generator engine `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A % subtract_with_carry_engine random number generator engine.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## operator== [1/25]

bool operator== | ( | const bernoulli_distribution & | __d1,
|  | const bernoulli_distribution & | __d2
| ) |  |

friend

Return true if two Bernoulli distributions have the same parameters.

Definition at line 3594 of file random.h.

## operator== [2/25]

template<typename _IntType = int>

bool operator== | ( | const binomial_distribution< _IntType > & | __d1,
|  | const binomial_distribution< _IntType > & | __d2
| ) |  |

friend

Return true if two binomial distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 3821 of file random.h.

## operator== [3/25]

template<typename _RealType = double>

bool operator== | ( | const cauchy_distribution< _RealType > & | __d1,
|  | const cauchy_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two Cauchy distributions have the same parameters.

Definition at line 2933 of file random.h.

## operator== [4/25]

template<typename _RealType = double>

bool operator== | ( | const chi_squared_distribution< _RealType > & | __d1,
|  | const chi_squared_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two Chi-squared distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 2723 of file random.h.

## operator== [5/25]

template<typename _RandomNumberEngine , size_t __p, size_t __r>

bool operator== | ( | const discard_block_engine< _RandomNumberEngine, __p, __r > & | __lhs,
|  | const discard_block_engine< _RandomNumberEngine, __p, __r > & | __rhs
| ) |  |

friend

Compares two discard_block_engine random number generator objects of the same type for equality.

Parameters

  __lhs | A discard_block_engine random number generator object.
  __rhs | Another discard_block_engine random number generator object.

Returns
  true if the infinite sequences of generated values would be equal, false otherwise.

Definition at line 996 of file random.h.

## operator== [6/25]

template<typename _IntType = int>

bool operator== | ( | const discrete_distribution< _IntType > & | __d1,
|  | const discrete_distribution< _IntType > & | __d2
| ) |  |

friend

Return true if two discrete distributions have the same parameters.

Definition at line 5342 of file random.h.

## operator== [7/25]

template<typename _RealType = double>

bool operator== | ( | const exponential_distribution< _RealType > & | __d1,
|  | const exponential_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two exponential distributions have the same parameters.

Definition at line 4692 of file random.h.

## operator== [8/25]

template<typename _RealType = double>

bool operator== | ( | const extreme_value_distribution< _RealType > & | __d1,
|  | const extreme_value_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two extreme value distributions have the same parameters.

Definition at line 5108 of file random.h.

## operator== [9/25]

template<typename _RealType = double>

bool operator== | ( | const fisher_f_distribution< _RealType > & | __d1,
|  | const fisher_f_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two Fisher f distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 3155 of file random.h.

## operator== [10/25]

template<typename _RealType = double>

bool operator== | ( | const gamma_distribution< _RealType > & | __d1,
|  | const gamma_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two gamma distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 2510 of file random.h.

## operator== [11/25]

template<typename _IntType = int>

bool operator== | ( | const geometric_distribution< _IntType > & | __d1,
|  | const geometric_distribution< _IntType > & | __d2
| ) |  |

friend

Return true if two geometric distributions have the same parameters.

Definition at line 4038 of file random.h.

## operator== [12/25]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >

bool operator== | ( | const independent_bits_engine< _RandomNumberEngine, __w, _UIntType > & | __lhs,
|  | const independent_bits_engine< _RandomNumberEngine, __w, _UIntType > & | __rhs
| ) |  |

friend

Compares two independent_bits_engine random number generator objects of the same type for equality.

Parameters

  __lhs | A independent_bits_engine random number generator object.
  __rhs | Another independent_bits_engine random number generator object.

Returns
  true if the infinite sequences of generated values would be equal, false otherwise.

Definition at line 1206 of file random.h.

## operator== [13/25]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>

bool operator== | ( | const linear_congruential_engine< _UIntType, __a, __c, __m > & | __lhs,
|  | const linear_congruential_engine< _UIntType, __a, __c, __m > & | __rhs
| ) |  |

friend

Compares two linear congruential random number generator objects of the same type for equality.

Parameters

  __lhs | A linear congruential random number generator object.
  __rhs | Another linear congruential random number generator object.

Returns
  true if the infinite sequences of generated values would be equal, false otherwise.

Definition at line 348 of file random.h.

## operator== [14/25]

template<typename _RealType = double>

bool operator== | ( | const lognormal_distribution< _RealType > & | __d1,
|  | const lognormal_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two lognormal distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 2284 of file random.h.

## operator== [15/25]

template<typename _UIntType , size_t __w, size_t __n, size_t __m, size_t __r, _UIntType __a, size_t __u, _UIntType __d, size_t __s, _UIntType __b, size_t __t, _UIntType __c, size_t __l, _UIntType __f>

bool operator== | ( | const mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f > & | __lhs,
|  | const mersenne_twister_engine< _UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f > & | __rhs
| ) |  |

friend

Compares two % mersenne_twister_engine random number generator objects of the same type for equality.

Parameters

  __lhs | A % mersenne_twister_engine random number generator object.
  __rhs | Another % mersenne_twister_engine random number generator object.

Returns
  true if the infinite sequences of generated values would be equal, false otherwise.

Definition at line 554 of file random.h.

## operator== [16/25]

template<typename _IntType = int>

bool operator== | ( | const negative_binomial_distribution< _IntType > & | __d1,
|  | const negative_binomial_distribution< _IntType > & | __d2
| ) |  |

friend

Return true if two negative binomial distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 4251 of file random.h.

## operator== [17/25]

template<typename _RealType = double>

bool operator== | ( | const piecewise_constant_distribution< _RealType > & | __d1,
|  | const piecewise_constant_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two piecewise constant distributions have the same parameters.

Definition at line 5613 of file random.h.

## operator== [18/25]

template<typename _RealType = double>

bool operator== | ( | const piecewise_linear_distribution< _RealType > & | __d1,
|  | const piecewise_linear_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two piecewise linear distributions have the same parameters.

Definition at line 5887 of file random.h.

## operator== [19/25]

template<typename _IntType = int>

bool operator== | ( | const poisson_distribution< _IntType > & | __d1,
|  | const poisson_distribution< _IntType > & | __d2
| ) |  |

friend

Return true if two Poisson distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 4473 of file random.h.

## operator== [20/25]

template<typename _RandomNumberEngine , size_t __k>

bool operator== | ( | const shuffle_order_engine< _RandomNumberEngine, __k > & | __lhs,
|  | const shuffle_order_engine< _RandomNumberEngine, __k > & | __rhs
| ) |  |

friend

Compares two shuffle_order_engine random number generator objects of the same type for equality.

Parameters

  __lhs | A shuffle_order_engine random number generator object.
  __rhs | Another shuffle_order_engine random number generator object.

Returns
  true if the infinite sequences of generated values would be equal, false otherwise.

Definition at line 1435 of file random.h.

## operator== [21/25]

template<typename _RealType = double>
template<typename _RealType1 >

bool operator== | ( | const std::normal_distribution< _RealType1 > & | __d1,
|  | const std::normal_distribution< _RealType1 > & | __d2
| ) |  |

friend

Return true if two normal distributions have the same parameters and the sequences that would be generated are equal.

## operator== [22/25]

template<typename _RealType = double>

bool operator== | ( | const student_t_distribution< _RealType > & | __d1,
|  | const student_t_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two Student t distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 3374 of file random.h.

## operator== [23/25]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>

bool operator== | ( | const subtract_with_carry_engine< _UIntType, __w, __s, __r > & | __lhs,
|  | const subtract_with_carry_engine< _UIntType, __w, __s, __r > & | __rhs
| ) |  |

friend

Compares two % subtract_with_carry_engine random number generator objects of the same type for equality.

Parameters

  __lhs | A % subtract_with_carry_engine random number generator object.
  __rhs | Another % subtract_with_carry_engine random number generator object.

Returns
  true if the infinite sequences of generated values would be equal, false otherwise.

Definition at line 767 of file random.h.

## operator== [24/25]

template<typename _RealType = double>

bool operator== | ( | const uniform_real_distribution< _RealType > & | __d1,
|  | const uniform_real_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two uniform real distributions have the same parameters.

Definition at line 1853 of file random.h.

## operator== [25/25]

template<typename _RealType = double>

bool operator== | ( | const weibull_distribution< _RealType > & | __d1,
|  | const weibull_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two Weibull distributions have the same parameters.

Definition at line 4900 of file random.h.

## operator>> [1/18]

template<typename _IntType = int>
template<typename _IntType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::binomial_distribution< _IntType1 > & | __x
| ) |  |

friend

Extracts a binomial_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A binomial_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [2/18]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::chi_squared_distribution< _RealType1 > & | __x
| ) |  |

friend

Extracts a chi_squared_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A chi_squared_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [3/18]

template<typename _RandomNumberEngine , size_t __p, size_t __r>
template<typename _RandomNumberEngine1 , size_t __p1, size_t __r1, typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::discard_block_engine< _RandomNumberEngine1, __p1, __r1 > & | __x
| ) |  |

friend

Extracts the current state of a % subtract_with_carry_engine random number generator engine `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A discard_block_engine random number generator engine.

Returns
  The input stream with the state of `__x` extracted or in an error state.

## operator>> [4/18]

template<typename _IntType = int>
template<typename _IntType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::discrete_distribution< _IntType1 > & | __x
| ) |  |

friend

Extracts a discrete_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A discrete_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [5/18]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::fisher_f_distribution< _RealType1 > & | __x
| ) |  |

friend

Extracts a fisher_f_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A fisher_f_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [6/18]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::gamma_distribution< _RealType1 > & | __x
| ) |  |

friend

Extracts a gamma_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A gamma_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [7/18]

template<typename _RandomNumberEngine , size_t __w, typename _UIntType >
template<typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType > & | __x
| ) |  |

friend

Extracts the current state of a % subtract_with_carry_engine random number generator engine `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A independent_bits_engine random number generator engine.

Returns
  The input stream with the state of `__x` extracted or in an error state.

Definition at line 1224 of file random.h.

## operator>> [8/18]

template<typename _UIntType , _UIntType __a, _UIntType __c, _UIntType __m>
template<typename _UIntType1 , _UIntType1 __a1, _UIntType1 __c1, _UIntType1 __m1, typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::linear_congruential_engine< _UIntType1, __a1, __c1, __m1 > & | __lcr
| ) |  |

friend

Sets the state of the engine by reading its textual representation from `__is`.

The textual representation must have been previously written using an output stream whose imbued locale and whose type's template specialization arguments _CharT and _Traits were the same as those of `__is`.

Parameters

  __is | The input stream.
  __lcr | A % linear_congruential_engine random number generator.

Returns
  __is.

## operator>> [9/18]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::lognormal_distribution< _RealType1 > & | __x
| ) |  |

friend

Extracts a lognormal_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A lognormal_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [10/18]

template<typename _UIntType , size_t __w, size_t __n, size_t __m, size_t __r, _UIntType __a, size_t __u, _UIntType __d, size_t __s, _UIntType __b, size_t __t, _UIntType __c, size_t __l, _UIntType __f>
template<typename _UIntType1 , size_t __w1, size_t __n1, size_t __m1, size_t __r1, _UIntType1 __a1, size_t __u1, _UIntType1 __d1, size_t __s1, _UIntType1 __b1, size_t __t1, _UIntType1 __c1, size_t __l1, _UIntType1 __f1, typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::mersenne_twister_engine< _UIntType1, __w1, __n1, __m1, __r1, __a1, __u1, __d1, __s1, __b1, __t1, __c1, __l1, __f1 > & | __x
| ) |  |

friend

Extracts the current state of a % mersenne_twister_engine random number generator engine `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A % mersenne_twister_engine random number generator engine.

Returns
  The input stream with the state of `__x` extracted or in an error state.

## operator>> [11/18]

template<typename _IntType = int>
template<typename _IntType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::negative_binomial_distribution< _IntType1 > & | __x
| ) |  |

friend

Extracts a negative_binomial_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A negative_binomial_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [12/18]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::normal_distribution< _RealType1 > & | __x
| ) |  |

friend

Extracts a normal_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A normal_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [13/18]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::piecewise_constant_distribution< _RealType1 > & | __x
| ) |  |

friend

Extracts a piecewise_constant_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A piecewise_constant_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [14/18]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::piecewise_linear_distribution< _RealType1 > & | __x
| ) |  |

friend

Extracts a piecewise_linear_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A piecewise_linear_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [15/18]

template<typename _IntType = int>
template<typename _IntType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::poisson_distribution< _IntType1 > & | __x
| ) |  |

friend

Extracts a poisson_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A poisson_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [16/18]

template<typename _RandomNumberEngine , size_t __k>
template<typename _RandomNumberEngine1 , size_t __k1, typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::shuffle_order_engine< _RandomNumberEngine1, __k1 > & | __x
| ) |  |

friend

Extracts the current state of a % subtract_with_carry_engine random number generator engine `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A shuffle_order_engine random number generator engine.

Returns
  The input stream with the state of `__x` extracted or in an error state.

## operator>> [17/18]

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::student_t_distribution< _RealType1 > & | __x
| ) |  |

friend

Extracts a student_t_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A student_t_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

## operator>> [18/18]

template<typename _UIntType , size_t __w, size_t __s, size_t __r>
template<typename _UIntType1 , size_t __w1, size_t __s1, size_t __r1, typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::subtract_with_carry_engine< _UIntType1, __w1, __s1, __r1 > & | __x
| ) |  |

friend

Extracts the current state of a % subtract_with_carry_engine random number generator engine `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A % subtract_with_carry_engine random number generator engine.

Returns
  The input stream with the state of `__x` extracted or in an error state.